<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Customer;
use Session;

class CustomerController extends Controller
{
    public function __construct()
    {
        $this->middleware('show')->only('show');
        $this->middleware('delete')->only('destroy');
    }

    public function index() 
    {
    	$customers = Customer::latest()->get();
    	return view('admin.customer.index', compact('customers'));
    }
    public function show($id) 
    {
    	$customer = Customer::find($id);
    	return view('admin.customer.show', compact('customer'));
    }
    public function destroy($id) 
    {
    	$delete = Customer::find($id)->delete();
        if($delete){
            Session::flash('success', 'Customer successfully deleted');
            return redirect()->back();
        }else{
            Session::flash('error', 'Customer deleting failed');
            return redirect()->back();
        }
    }
}
