<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Order;
use App\BasicInfo;
use Session;

class OrderController extends Controller
{
    public function __construct()
    {
        $this->middleware('show')->only('show');
        $this->middleware('delete')->only('destroy');
    }

    public function index() 
    {
    	$orders = Order::latest()->get();
    	return view('admin.order.index', compact('orders'));
    }
    public function todayOrder() 
    {
        $orders = Order::today()->latest()->get();
        return view('admin.order.index', compact('orders'));
    }
    public function thisMonthOrder() 
    {
        $orders = Order::thisMonth()->latest()->get();
        return view('admin.order.index', compact('orders'));
    }
    public function thisyearOrder() 
    {
        $orders = Order::thisYear()->latest()->get();
        return view('admin.order.index', compact('orders'));
    }
    public function show($id) 
    {
    	$order = Order::findOrFail($id);
        $products = Order::findOrFail($id)->products;
    	return view('admin.order.show', compact('order','products'));
    }
    public function invoice($id) 
    {
        $order = Order::findOrFail($id);
        $products = Order::findOrFail($id)->products;
        $companyInfo = BasicInfo::first();
        return view('admin.order.invoice', compact('order','products', 'companyInfo'));
    }
    public function destroy($id) 
    {
        $delete = Order::findOrFail($id)->delete();
        if($delete){
            Session::flash('success', 'Order successfully deleted');
            return redirect()->back();
        }else{
            Session::flash('error', 'Order deleting failed');
            return redirect()->back();
        }
    }
    public function orderCancel($id)
    {
        $order = Order::findOrFail($id);
        $order->status = 0;
        $cancel = $order->save();
        if($cancel){
            Session::flash('success', 'Order Canceled');
            return back();
        }else{
            Session::flash('error', 'Ops! Please try again');
            return back();
        }

    }
    public function orderDelivered($id)
    {
        $order = Order::findOrFail($id);
        $order->status = 2;
        $cancel = $order->save();
        if($cancel){
            Session::flash('success', 'Order Delivered');
            return back();
        }else{
            Session::flash('error', 'Ops! Please try again');
            return back();
        }

    }
}
