<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Cart;
use App\Payment;
use Session;

class PaymentController extends Controller
{
	public function __construct()
    {
        $this->middleware('checkout');
    }
    public function index()
    {
    	if(Cart::count() > 0){
        	return view('website.checkout.payment');
    	}else{
    		return redirect('shopping/cart');
    	}
    }
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|string|max:60',
            'card_number' => 'required|string|max:30',
            'exp_month' => 'required|integer',
            'exp_year' => 'required|integer',
            'cvv' => 'required|string|min:4|max:4',
        ]);

        $payment = new Payment();
        $payment->name = $request->name;
        $payment->card_number = $request->card_number;
        $payment->exp_month = $request->exp_month;
        $payment->exp_year = $request->exp_year;
        $payment->cvv = $request->cvv;
        $create = $payment->save();

        if($create){
            Session::put('payment_id', $payment->id);
            return redirect('delivery/method');
        }else{
            return back();
        }

    }
}
