<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Product;
use App\Brand;
use App\Maincategory;
use App\Category;

class ProductController extends Controller
{
    public function productByMaincategory($slug)
    {
        $maincategory = Maincategory::where('slug', $slug)->first();

        if($maincategory){
            $products = $maincategory->products()->active()->instock()->latest()->paginate(6);
            return view('website.product.index', compact('products'));
        }else{
            return redirect('error/404');
        }
    }
    public function productByCategory($id)
    {
        $category = Category::find($id);
        if($category){
           $products = $category->products()->active()->instock()->latest()->paginate(6);
            return view('website.product.index', compact('products'));
        }else{
            return redirect('error/404');
        }
    }
    public function productByBrand($slug)
    {
        $brand = Brand::where('slug', $slug)->first();
        if($brand){
            $products = $brand->products()->active()->instock()->latest()->paginate(6);
            return view('website.product.index', compact('products'));
        }
    }
    public function productDetails($id)
    {
        $product = Product::find($id);
        if($product){
            $brands = Brand::active()->latest()->inRandomOrder()->limit(10)->get();
            $relatedProducts = Brand::find($product->brand_id)->products()->active()->latest()->inRandomOrder()->limit(10)->get();
            return view('website.product.show', compact('product', 'brands', 'relatedProducts'));
        }else{
            return redirect('error/404');
        }
    }
}
