<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="@yield('keywords', 'Redline BD with ✓ Ease Speed ✓ 100% Genuine Product ✓ Fastest Delivery all over Bangladesh')">
    <meta name="description" content="@yield('description', 'Redlinebdshop.com trusted online shopping site in Bangladesh with free home delivery. Shop online for latest electronics, mobiles, fashion apparels. ✓Cash On Delivery ✓Low Prices')">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>@yield('title', $basicinfo->title)</title>
    <link rel="icon" href="{{asset('storage/logos/'. $basicinfo->favicon)}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/fontawesome-all.min.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/icofont.min.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/icofont.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/animate.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/bootstrap.min.css')}}">
    @stack('css')
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/responsive.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/metisMenu.min.css')}}">
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/toastr.min.css')}}">
    <script src="{{asset('contents/website/assests/js/modernizr-2.8.3.min.js')}}"></script>
    <script src="{{asset('contents/website/assests/js/jquery-3.3.1.min.js')}}"></script>
    <script src="{{asset('contents/website/assests/js/sweet-alert.js')}}"></script>
    <script src="{{asset('contents/website/assests/js/toastr.min.js')}}"></script>
</head>

<body>

    <!-- @if(Session::has('success'))
    <script>
        swal({   
            title: "Success",
            text: "{{session('success')}}",
            icon: "success",
            timer: 2000
        });
    </script>
    @endif
    @if(Session::has('error'))
      <script>
          swal({
              title: "Ops!",
              text: "{{session('error')}}.",
              icon: "error",
              timer: 2000
          });
      </script>
    @endif -->
    @if(Session::has('success'))
    <script>
        $.toast({
            heading: 'Success',
            text: '{{session("success")}}',
            position: 'top-right',
            loaderBg:'#ff5050',
            bgColor: '#222',
            icon: 'success',
            hideAfter: 3000, 
            stack: 6
        });
    </script>
    @endif
    @if(Session::has('error'))
    <script>
        $.toast({
            heading: 'Error',
            text: '{{session("error")}}',
            position: 'top-right',
            loaderBg:'#ff5050',
            bgColor: '#222',
            icon: 'error',
            hideAfter: 3000, 
            stack: 6
        });
    </script>
    @endif
    <div class="loading">
        <img src="{{asset('contents/website/assests/img/lg.curve-bars-loading-indicator.gif')}}" alt="">
    </div>
    <!--strat header top area-->
    <header id="header_top">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                    <div class="header_top_info_text">
                        <p>{{$basicinfo->title}}</p>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                    <div class="header_top_info text-right">
                        <ul>
                            <li><a href="tel:{{$basicinfo->phone}}"><i class="fas fa-phone-volume"></i> {{$basicinfo->phone}} </a></li>
                            <li><a href="mailto:{{$basicinfo->email}}"><i class="fas fa-envelope"></i> {{$basicinfo->email}}</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!--satrt logo container-->
    <section id="banar_top_area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-2 col-lg-2 col-md-2 col-sm-2">
                    <div class="main_logo">
                        <a href="{{url('/')}}">
                            <img class="img-fluid" src="{{asset('storage/logos/'.$basicinfo->logo)}}" alt="logo">
                        </a>
                    </div>
                </div>
                <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5">
                    <div class="serach_bar">
                        <form action="{{url('search')}}" method="get">
                            <div class="search_form_box">
                                <input type="text" name="query" placeholder="Search for product" value="{{ isset($query) ? $query : '' }}" required="">
                                <button type="submit"><i class="fas fa-search"></i></button>
                                @if($errors->has('query'))
                                    <span class="invalid-feedback">
                                        <strong>{{$errors->first('query')}}</strong>
                                    </span>
                                @endif
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5">
                    <div class="row">
                        <div class="col-xl-7 col-lg-7 col-md-7 col-sm-7">
                            <div class="user_login">
                                @if(Session::has('customer_id'))
                                    @php
                                        $id = Session::get('customer_id');
                                        $customer = App\Customer::find($id);
                                    @endphp
                                <ul>
                                    <li><a href="{{url('customer/dashboard')}}"><i class="far fa-user"></i> {{$customer->name}}</a>
                                        <ul>
                                            <li class="{{ request()->is('customer/account') ? 'active' : '' }}">
                                                <a href="{{url('customer/account')}}"><i class="far fa-user"></i> My Profile</a>
                                           </li>
                                            <li class="{{ request()->is('customer/orders') ? 'active' : '' }}">
                                                <a href="{{url('customer/orders')}}"><i class="fas fa-shopping-bag"></i> My Orders</a>
                                           </li>
                                            <li>
                                                <a href="{{url('customer/logout')}}"><i class="fas fa-unlock"></i> Logout</a>
                                           </li>
                                        </ul>
                                    </li>
                                </ul>
                                @else
                                <ul>
                                    <li><a href="{{url('customer/login')}}"><i class="fas fa-lock"></i> Login</a></li>
                                    <li><a href="{{url('customer/register')}}"><i class="far fa-user"></i> Sign Up</a></li>

                                </ul>
                                @endif
                            </div>
                        </div>
                        <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 ptl ptr">
                            <div class="user_cart">
                                <div class="user_cart_box">
                                    <p>Cart-<span>{{Cart::total()}}</span></p>
                                    <span class="cart_bag"><i class="fas fa-shopping-bag"></i></span>
                                    <h6>{{Cart::count()}}</h6>
                                </div>
                            </div>
                            <div class="cart_togle_content">
                                <div class="row">
                                    @forelse($cartItems as $cartItem)
                                    <div class="mini_cart_item">
                                        <div class="row">
                                            <div class="col-4 col-xl-4 col-lg-4 col-md-4 col-sm-4">
                                                <div class="mini_cart_image">
                                                    <img class="img-fluid" src="{{asset('storage/products/'.$cartItem->options->image)}}" alt="cart">
                                                </div>
                                            </div>
                                            <div class="col-8 col-xl-8 col-lg-8 col-md-8 col-sm-8">
                                                <div class="mini_cart_content">
                                                    <h4>{{str_limit($cartItem->name, 20)}}</h4>
                                                    <p>{{$cartItem->qty}} × {{$cartItem->price}}</p>
                                                    <a class="removetocart" href="{{url('cart/remove/'.$cartItem->rowId)}}"><i class="far fa-trash-alt"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @empty
                                    <div class="col-md-12 text-center">
                                        <p>There are no items in this cart</p>
                                    </div>
                                    @endforelse
                                    @if(Cart::count() > 0)
                                    <div class="min_cart_button_bottom text-center">
                                        <a href="{{url('shopping/cart')}}">View Cart</a>
                                        <a href="{{url('payment/method')}}" class="min_cart_btn_sp">Check Out</a>
                                    </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start main menu area -->
    <section id="main_menu">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="menu_item_container pr">
                        <nav>
                            <ul>
                                <li class="{{ request()->is('/') ? 'active' : '' }}"><a href="{{url('/')}}"><i class="fas fa-home"></i> Home</a></li>
                                @foreach($maincategories as $maincategory)
                                <li class="{{ request()->is('product/category/'.$maincategory->slug) ? 'active' : '' }}">
                                    <a href="{{url('product/category/'.$maincategory->slug)}}">{{$maincategory->name}}</a>
                                    @if($maincategory->subcategories()->count() > 0)
                                    <div class="mega_menu">
                                        <div class="container">
                                            <div class="row">
                                                <div class="col-xl-7 col-lg-7 col-md-7 col-sm-7">
                                                    <div class="mega_menu_link">
                                                        <div class="row">
                                                            @php
                                                                $subcategories = $maincategory->subcategories()->get();
                                                            @endphp
                                                            @foreach($subcategories as $subcategory)
                                                                @if($subcategory->categories->count() > 0)
                                                                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                                                                    <div class="mega_menu_link_item">
                                                                        <h4>{{$subcategory->name}}</h4>
                                                                        <ul>
                                                                            @php
                                                                                $categories = $subcategory->categories()->get();
                                                                            @endphp
                                                                            @foreach($categories as $category)
                                                                            <li><a href="{{url('product/category/'.$category->id.'/'.$category->slug)}}">{{$category->name}}</a></li>
                                                                            @endforeach
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                                @endif
                                                            @endforeach
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5">
                                                    <div class="mega_menu_link_image">
                                                        <div class="row">
                                                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                                                                <div class="mega_menu_link_image_item">
                                                                    <a href="#">
                                                                        <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/block_menu1.jpg" alt="menu-image">
                                                                        <h4>Get 20% Discount</h4>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                                                                <div class="mega_menu_link_image_item">
                                                                    <a href="#">
                                                                        <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/block_menu2.jpg" alt="menu-image">
                                                                        <h4>Get 40% Discount</h4>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                </li>
                                @endforeach
                                <li class="{{ request()->is('about') ? 'active' : '' }}"><a href="{{url('/about')}}">About</a></li>
                                <li class="{{ request()->is('contact') ? 'active' : '' }}"><a href="{{url('/contact')}}">Contact</a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start mobile menu start here -->
    <section id="mobile_menu_top">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-4 col-sm-4">
                    <div class="mobile_menu_top_logo">
                        <a href="{{url('/')}}">
                            <img class="img-fluid" src="{{asset('storage/logos/'. $basicinfo->logo)}}" alt="logo">
                        </a>
                    </div>
                </div>
                <div class="col-8 col-sm-8">
                    <div class="mobile_menu_top_search">
                        <form action="{{url('search')}}" method="get">
                            <div class="mobile_menu_top_search_box">
                                <input type="text" name="query" placeholder="Search for product" value="{{ isset($query) ? $query : '' }}" required="">
                                <button type="submit"><i class="fas fa-search"></i></button>
                                @if($errors->has('query'))
                                    <span class="invalid-feedback">
                                        <strong>{{$errors->first('query')}}</strong>
                                    </span>
                                @endif
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start mobile menu menu -->
    <section id="mobile_menu_menu">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-2 col-sm-2">
                    <div class="mobile_menu_menu_icon">
                        <i class="fas fa-bars show_icon"></i>
                        <i class="fas fa-times close_icon"></i>
                    </div>
                </div>
                <div class="col-10 col-sm-6">
                    <div class="mobile_menu_menu_user">

                        <div class="user_login">
                            @if(Session::has('customer_id'))
                                @php
                                    $id = Session::get('customer_id');
                                    $customer = App\Customer::find($id);
                                @endphp
                            <ul>
                                <li><a href="{{url('customer/dashboard')}}"><i class="far fa-user"></i> {{$customer->name}}</a>
                                    <ul>
                                        <li class="{{ request()->is('customer/account') ? 'active' : '' }}">
                                            <a href="{{url('customer/account')}}"><i class="far fa-user"></i> My Profile</a>
                                       </li>
                                        <li class="{{ request()->is('customer/orders') ? 'active' : '' }}">
                                            <a href="{{url('customer/orders')}}"><i class="fas fa-shopping-bag"></i> My Orders</a>
                                       </li>
                                    </ul>
                                </li>
                                <li>
                                    <a href="{{url('customer/logout')}}"><i class="fas fa-unlock"></i> Logout</a>
                               </li>
                            </ul>
                            @else
                            <ul>
                                <li><a href="{{url('customer/login')}}"><i class="fas fa-lock"></i> Login</a></li>
                                <li><a href="{{url('customer/register')}}"><i class="far fa-user"></i> Sign Up</a></li>
                            </ul>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="user_cart">
                        <div class="user_cart_box">
                            <p>Cart-<span>{{Cart::total()}}</span></p>
                            <span class="cart_bag"><i class="fas fa-shopping-bag"></i></span>
                            <h6>{{Cart::count()}}</h6>
                        </div>
                    </div>
                    <div class="cart_togle_content">
                        <div class="row">
                            @forelse($cartItems as $cartItem)
                            <div class="mini_cart_item">
                                <div class="row">
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                                        <div class="mini_cart_image">
                                            <img class="img-fluid" src="{{asset('storage/products/'.$cartItem->options->image)}}" alt="cart">
                                        </div>
                                    </div>
                                    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-8">
                                        <div class="mini_cart_content">
                                            <h4>{{str_limit($cartItem->name, 30)}}</h4>
                                            <p>{{$cartItem->qty}} × {{$cartItem->price}}</p>
                                            <a class="removetocart" href="{{url('cart/remove/'.$cartItem->rowId)}}"><i class="far fa-trash-alt"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @empty
                            <div class="col-md-12 text-center">
                                <p>There are no items in this cart</p>
                            </div>
                            @endforelse
                            @if(Cart::count() > 0)
                            <div class="min_cart_button_bottom text-center">
                                <a href="{{url('shopping/cart')}}">View Cart</a>
                                <a href="{{url('payment/method')}}" class="min_cart_btn_sp">Check Out</a>
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <form id="removetocart-form" action="" method="POST" style="display: none;">
            @csrf
            @method('delete')
        </form>

        <div id="moble_menu_menu_content">
            <div class="category_menu_mobile_content_menu">
                <aside class="sidebar">
                  <nav class="sidebar-nav">
                    <ul class="metismenu" id="auto-collapse-menu-demo">
                      <li class="{{ request()->is('/') ? 'active' : '' }}">
                          <a href="{{url('/')}}"><span class="sidebar-nav-item"><i class="icofont-home"></i> Home</span>
                        </a>
                      </li>
                      @foreach($maincategories as $maincategory)
                      <li class="{{ request()->is('product/category/'.$maincategory->slug) ? 'active' : '' }}">
                        <a href="{{url('product/category/'.$maincategory->slug)}}" aria-expanded="false"><i class="icofont-label"></i> {{$maincategory->name}} <span class="fa plus-times"></span></a>
                        @if($maincategory->subcategories()->count() > 0)
                            @php
                                $subcategories = $maincategory->subcategories()->get();
                            @endphp
                            @foreach($subcategories as $subcategory)
                            @if($subcategory->categories->count() > 0)
                            <ul class="metismenu" id="auto-collapse-menu-demo">
                                <li>
                                    <a href="javascript:void(0)" aria-expanded="false"><i class="icofont-label"></i> {{$subcategory->name}} <span class="fa plus-times"></span></a>
                                    <ul aria-expanded="false" class="animated fade">
                                      @php
                                          $categories = $subcategory->categories()->get();
                                      @endphp
                                      @foreach($categories as $category)
                                      <li class="{{ request()->is('product/category/'.$category->id.'/'.$category->slug) ? 'active' : '' }}"><a href="{{url('product/category/'.$category->id.'/'.$category->slug)}}">{{$category->name}}</a></li>
                                      @endforeach
                                    </ul>
                                </li>
                            </ul>
                            @endif
                            @endforeach
                        @endif
                      </li>
                      @endforeach
                    </ul>
                  </nav>
                </aside>
            </div>
        </div>
    </section>
    
    @yield('content')

    <!-- satrt news later area -->
    <section id="newslater">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="newslater_container text-center">
                        <h3>sign up to newsletter</h3>
                        <p>Instant Sign Up. Cancel Anytime. No Credit Card Required</p>
                        <div class="news_later_form">
                            <form action="{{url('subscribe')}}" method="post">
                                @csrf

                                <div class="news_later_input_container">
                                    <input name="email" type="email" placeholder="Enter your email" required="">

                                    @if ($errors->has('email'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('email') }}</strong>
                                        </span>
                                    @endif
                                    <button type="submit">Subscribe</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- start footert top -->
    <section id="footer_top">
        <div class="container">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
                    <div class="footer_about">
                        <a href="{{url('/')}}">
                            <img class="img-fluid" src="{{asset('storage/logos/'.$basicinfo->logo)}}" alt="">
                        </a>
                        <p>{{$basicinfo->description}}. </p>
                        <ul>
                            <li><a target="_blank" href="{{$sociallink->facebook}}"><i class="fab fa-facebook-f"></i></a></li>
                            <li><a target="_blank" href="{{$sociallink->twitter}}"><i class="fab fa-twitter"></i></a></li>
                            <li><a target="_blank" href="{{$sociallink->google}}"><i class="fab fa-google"></i></a></li>
                            <li><a target="_blank" href="{{$sociallink->instagram}}"><i class="fab fa-instagram"></i></a></li>
                            <li><a target="_blank" href="{{$sociallink->pinterest}}"><i class="fab fa-pinterest-p"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-8 col-lg-8 col-md-8 col-sm-8">
                    <div class="row">
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6">
                            <div class="footer_link">
                                <h3>CATEGORIES</h3>
                                <ul>
                                    @foreach($maincategories as $key=>$maincategory)
                                    <li><a href="{{url('product/category/'.$maincategory->slug)}}">{{$maincategory->name}}</a></li>
                                        @if ($key+1 == 6)
                                            @break
                                        @endif
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6">
                            <div class="footer_link">
                                <h3>MY ACCOUNT</h3>
                                <ul>
                                    <li><a href="{{url('customer/orders')}}">Orders</a></li>
                                    <li><a href="#">Compare</a></li>
                                    <li><a href="#">Wishlist</a></li>
                                    <li><a href="{{url('customer/login')}}">Log In</a></li>
                                    <li><a href="{{url('customer/register')}}">Register</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
                            <div class="footer_link">
                                <h3>CONTACTS</h3>
                                <div class="conatct_info_footer">
                                    <p><span>Address:</span> {{$basicinfo->address}}</p>
                                    <p><span>Phone:</span> <a href="tel:{{$basicinfo->phone_tow}}"> {{$basicinfo->phone_two}}</a></p>
                                    <p><span>Hours:</span> 7 Days a week from 10 am to 6 pm</p>
                                    <p><span>Email</span> <a href="mailto:{{$basicinfo->email_two}}"> {{$basicinfo->email_two}}</a></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <span><i class="icofont-long-arrow-up scrolltop"></i></span>
    </section>
    <!-- satrt footer copyright -->
    <footer id="copyright">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="footer_copy_content text-center">
                        <p>&copy; <span>Creative Syestem</span> 2019. All Rights Reserved </p>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- ========== this is main js link ========== -->

    <script src="{{asset('contents/website/assests/js/popper.min.js')}}"></script>
    <script src="{{asset('contents/website/assests/js/bootstrap.min.js')}}"></script>
    <script src="{{asset('contents/website/assests/js/metisMenu.min.js')}}"></script>
    @stack('js')
    <script src="{{asset('contents/website/assests/js/custom.js')}}"></script>
    <script>
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    </script>
</body>

</html>
