@extends('layouts.website')
@push('css')
    <link rel="stylesheet" href="{{asset('contents/website/assests/css/owl.carousel.min.css')}}">
@endpush
@section('content')
    <!-- start slider area -->
    <section id="slider_banar">
        <div class="banar_slider_active owl-carousel">
            @foreach($banners as $banner)
            <div class="banar_slider_item" style="background: url({{asset('storage/banners/'. $banner->image)}}); background-repeat: no-repeat; background-position: center center">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="banar_table">
                                <div class="banar_table_cell">
                                    <div class="banar_content">
                                        <h3>{{$banner->title}}</h3>
                                        <p> {{$banner->subtitle}} </p>
                                        <a href="{{$banner->btn_url}}">{{$banner->btn_text}}</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </section>
    <!-- start infobar top -->
    @include('website.infobar')
    <!-- satrt summer collection -->
    <section id="summer_conllection">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="summer_title">
                        <h3>Summer Collection</h3>
                    </div>
                </div>
            </div>
            <div class="summer_slide_container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="summer_slide_active owl-carousel">
                            @foreach($summerCollections as $summerCollection)
                            <div class="summer_slide_item">
                                <a href="{{url('product/details/' .$summerCollection->id .'/'. $summerCollection->slug)}}">
                                    <div class="summmer_image">
                                        <img src="{{asset('storage/products/'. $summerCollection->image)}}" alt="">
                                        <div class="sumer_pro_hover">
                                            <ul>
                                                <li><a class="addtocart" href="{{url('/cart/add/' .$summerCollection->id)}}"><i class="icofont-shopping-cart"></i></a></li>
                                                <li><a href="{{url('product/details/' .$summerCollection->id .'/'. $summerCollection->slug)}}"><i class="icofont-eye-alt"></i></a></li>
                                                <li><a href="#"><i class="icofont-ui-love"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="summmer_item_content">
                                        <h4>{{str_limit($summerCollection->name, 20)}}</h4>
                                        <h3>Tk {{$summerCollection->price}}</h3>
                                        <ul>
                                            <li><i class="fas fa-star"></i></li>
                                            <li><i class="fas fa-star"></i></li>
                                            <li><i class="fas fa-star"></i></li>
                                            <li><i class="fas fa-star"></i></li>
                                            <li><i class="fas fa-star"></i></li>
                                        </ul>
                                        <a class="addtocart" href="{{url('/cart/add/' .$summerCollection->id)}}"><i class="icofont-shopping-cart"></i> Add To Cart</a>
                                    </div>
                                </a>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- satrt feater product -->
    <section id="feature_product">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="feature_product_title">
                        <h3>Featured Product</h3>
                    </div>
                </div>
            </div>
            <div class="featur_product_container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="row">
                            <div class="col-xl-5 col-lg-5 col-md-6">
                                <div class="feater_product_image">
                                    <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/watch-bg.jpg" alt="">
                                    <div class="feater_product_image_overlay_content">
                                        <h3>Smart Watch 2.0</h3>
                                        <p>Space Gray Aluminum Case with Black/Volt Real Sport Band </p>
                                        <h6>38mm | 42mm</h6>
                                        <a href="details.html">View Details</a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-7 col-lg-7 col-md-6 col-sm-12">
                                <div class="row">
                                    @foreach($featuredProducts as $key=>$featuredProduct)
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 pl-0 text-center">
                                        <div class="feater_product_item">
                                            <a href="{{url('product/details/'.$featuredProduct->id.'/'.$featuredProduct->slug)}}">
                                                <img class="img-fluid" src="{{asset('storage/products/'.$featuredProduct->image)}}" alt="">
                                            </a>
                                            <h4>{{str_limit($featuredProduct->name, 20)}}</h4>
                                            <h3>{{$featuredProduct->price}}</h3>
                                            <ul>
                                                <li><i class="fas fa-star"></i></li>
                                                <li><i class="fas fa-star"></i></li>
                                                <li><i class="fas fa-star"></i></li>
                                                <li><i class="fas fa-star"></i></li>
                                                <li><i class="fas fa-star"></i></li>
                                            </ul>
                                            <a class="addtocart" href="{{url('cart/add/'.$featuredProduct->id)}}"><i class="icofont-shopping-cart"></i></a>
                                            <a href="#"><i class="fas fa-heart"></i></a>
                                            <a href="{{url('product/details/'.$featuredProduct->id.'/'.$featuredProduct->slug)}}"><i class="fas fa-exchange-alt"></i></a>
                                        </div>
                                    </div>
                                        @if($key+1 == 3)
                                            @break
                                        @endif
                                    @endforeach
                                </div>
                            </div>
                            @foreach($featuredProducts as $key=>$featuredProduct)
                                @if($key+1 < 4)
                                    @continue
                                @endif
                            <div class="col-xl-3 col-lg-3 col-md-4 col-sm-6">
                                <div class="feater_product_item feater_product_item_2">
                                    <a href="{{url('product/details/'.$featuredProduct->id.'/'.$featuredProduct->slug)}}">
                                        <img class="img-fluid" src="{{asset('storage/products/'.$featuredProduct->image)}}" alt="">
                                    </a>
                                    <a href="{{url('product/details/'.$featuredProduct->id.'/'.$featuredProduct->slug)}}">
                                        <h4>{{str_limit($featuredProduct->name, 20)}}</h4>
                                    </a>
                                    <h3>Tk {{$featuredProduct->price}}</h3>
                                    <ul>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                    </ul>
                                    <a class="addtocart" href="{{url('cart/add/'.$featuredProduct->id)}}"><i class="icofont-shopping-cart"></i></a>
                                    <a href="#"><i class="fas fa-heart"></i></a>
                                    <a href="{{url('product/details/'.$featuredProduct->id.'/'.$featuredProduct->slug)}}"><i class="fas fa-exchange-alt"></i></a>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start feater image area page -->
    <section id="feater_image_content">
        <div class="container">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                    <div class="feater_image_content_img">
                        <a href="product.html">
                            <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/banner2-1.png" alt="">
                        </a>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                    <div class="feater_image_content_img">
                        <a href="product.html">
                            <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/banner2-2.png" alt="">
                        </a>
                    </div>
                    <div class="feater_image_content_img">
                        <a href="product.html">
                            <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/banner2-3.png" alt="">
                        </a>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                    <div class="feater_image_content_img">
                        <a href="product.html">
                            <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/banner2-4.png" alt="">
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start new arival -->
    <section id="newarival">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="new_arival_title">
                        <h3>New Arival</h3>
                    </div>
                </div>
            </div>
            <div class="new_arival_container">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="new_arival_slider_active owl-carousel">
                                @foreach($newArivals as $newArival)
                                <!-- single item -->
                                <div class="new_arival_item">
                                    <a href="{{url('product/details/' .$newArival->id .'/'. $newArival->slug)}}">
                                        <div class="new_arival_image">
                                            <img src="{{asset('storage/products/'.$newArival->image)}}" alt="">
                                            <div class="new_arival_hover">
                                                <ul>
                                                    <li><a class="addtocart" href="{{url('cart/add/'.$newArival->id)}}"><i class="icofont-ui-cart"></i></a></li>
                                                    <li><a href="#"><i class="icofont-ui-love"></i></a></li>
                                                    <li><a href="{{url('product/details/' . $newArival->id . '/' . $newArival->slug)}}"><i class="icofont-eye"></i></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                        <div class="new_arival_content">
                                            <a href="{{url('product/details/' .$newArival->id .'/'. $newArival->slug)}}">
                                                <h4>{{str_limit($newArival->name, 20)}}</h4>
                                            </a>
                                            <div class="row">
                                                <div class="col-xl-6">
                                                    <div class="new_arival_content_price">
                                                        <h3>Tk {{$newArival->price}}</h3>
                                                    </div>
                                                </div>
                                                <div class="col-xl-6">
                                                    <div class="new_arival_content_reating">
                                                        <ul>
                                                            <li><i class="fas fa-star"></i></li>
                                                            <li><i class="fas fa-star"></i></li>
                                                            <li><i class="fas fa-star"></i></li>
                                                            <li><i class="fas fa-star"></i></li>
                                                            <li><i class="fas fa-star"></i></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start tshirt area -->
    <section id="teshirt">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="teshirt_title">
                        <h3>Trendy T-Shirt</h3>
                    </div>
                </div>
            </div>
            <div class="teshirt_container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="teshirt_slide_active owl-carousel">
                            <!--single item-->
                            @foreach($trendyTshirts as $trendyTshirt)
                            <div class="teshirt_slide_item">
                                <a href="{{url('product/details/' .$trendyTshirt->id .'/'. $trendyTshirt->slug)}}">
                                    <div class="teshirt_slide_image">
                                        <img src="{{asset('storage/products/'.$trendyTshirt->image)}}" alt="">
                                        <div class="teshirt_hover">
                                            <ul>
                                                <li><a class="addtocart" href="{{url('cart/add/'.$trendyTshirt->id)}}"><i class="icofont-ui-cart"></i></a></li>
                                                <li><a href="#"><i class="icofont-ui-love"></i></a></li>
                                                <li><a href="{{url('product/details/' . $trendyTshirt->id . '/' . $trendyTshirt->slug)}}"><i class="icofont-eye"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="teshirt_slide_cotent">
                                        <a href="{{url('product/details/' .$trendyTshirt->id .'/'. $trendyTshirt->slug)}}">
                                            <h4>{{str_limit($trendyTshirt->name)}}</h4>
                                        </a>
                                        <div class="row">
                                            <div class="col-xl-6">
                                                <div class="teshirt_slide_cotent_price">
                                                    <h3>Tk {{$trendyTshirt->price}}</h3>
                                                </div>
                                            </div>
                                            <div class="col-xl-6">
                                                <div class="teshirt_slide_cotent_rating">
                                                    <ul>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--start feater product 2-->
    <section id="feater_product_2">
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-lg-8 col-md-8 col-sm-8">
                    <div class="row">
                        <div class="col-xl-6 col-lg-6 col-md-6">
                            <div class="feater_product_2_item_img">
                                <a href="#">
                                    <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/home-01.jpg" alt="">
                                </a>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6">
                            <div class="feater_product_2_item_img">
                                <a href="#">
                                    <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/home-02.jpg" alt="">
                                </a>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="feater_product_2_item_img">
                                <a href="#">
                                    <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/home-04.jpg" alt="">
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                    <div class="feater_product_2_item_img">
                        <a href="#">
                            <img class="img-fluid" src="{{asset('contents/website')}}/assests/img/product/home-03.jpg" alt="">
                        </a>
                    </div>
                </div>
            </div>
            <div class="shop_by_brand_container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="shope_barnd_title">
                            <h3>Shop By Brand</h3>
                        </div>
                    </div>
                </div>
                <div class="shope_brand_slide_active owl-carousel">
                    @foreach($brands as $brand)
                    <div class="shop_brand_slide_item">
                        <a href="{{url('product/details/brand/'. $brand->slug)}}">
                            <img src="{{asset('storage/brands/'.$brand->image)}}" alt="">
                        </a>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </section>
    <!--start Gadget-->
    <section id="gadget">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="gadget_title">
                        <h3>Gadget & Accessories</h3>
                    </div>
                </div>
            </div>
            <div class="gadget_container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="gadegt_slider_active owl-carousel">
                            <!-- single item -->
                            @foreach($gadgetAccessories as $gadgetAccessory)
                            <div class="gadget_slid_item">
                                <a href="{{url('product/details/' .$gadgetAccessory->id .'/'. $gadgetAccessory->slug)}}">
                                    <div class="gadget_slid_image">
                                        <img src="{{asset('storage/products/'.$gadgetAccessory->image)}}" alt="">
                                        <div class="gadget_hover">
                                            <ul>
                                                <li><a class="addtocart" href="{{url('cart/add/'.$gadgetAccessory->id)}}"><i class="icofont-ui-cart"></i></a></li>
                                                <li><a href="#"><i class="icofont-ui-love"></i></a></li>
                                                <li><a href="{{url('product/details/' . $gadgetAccessory->id . '/' . $gadgetAccessory->slug)}}"><i class="icofont-eye"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </a>
                                <div class="gadget_slid_content">
                                    <a href="{{url('product/details/' .$gadgetAccessory->id .'/'. $gadgetAccessory->slug)}}">
                                        <h4>{{str_limit($gadgetAccessory->name, 20)}}</h4>
                                    </a>
                                    <div class="row">
                                        <div class="col-xl-6">
                                            <div class="gadget_slid_content_price">
                                                <h3>Tk {{$gadgetAccessory->price}}</h3>
                                            </div>
                                        </div>
                                        <div class="col-xl-6">
                                            <div class="gadget_slid_content_reating">
                                                <ul>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start tab product -->
    <section id="tab_product">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <nav>
                        <div class="nav nav-tabs nav-fill" id="nav-tab" role="tablist">
                            @foreach($categories as $key=>$category)
                            <a class="product_tab_link {{$key+1 == 1 ? 'active' : ''}}" data-toggle="tab" href="#{{$category->slug}}" role="tab" aria-controls="nav-home" aria-selected="true">{{$category->name}}</a>
                            @endforeach
                        </div>
                    </nav>
                    <div class="tab-content" id="nav-tabContent">
                        @foreach($categories as $key=>$category)
                            <div class="tab-pane fade show {{$key+1 == 1 ? 'active' : ''}}" id="{{$category->slug}}" role="tabpanel" aria-labelledby="nav-home-tab">
                                <div class="row">
                                    @php
                                        $products = $category->products()->limit(8)->get();
                                    @endphp
                                    @foreach($products as $product)
                                    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6">
                                        <a href="{{url('product/details/' .$product->id .'/'. $product->slug)}}">
                                            <div class="tab_product_item text-center">
                                                <div class="tab_product_image">
                                                    <img class="img-fluid" src="{{asset('storage/products/'.$product->image)}}" alt="">
                                                    <div class="product_tab_hover">
                                                        <ul>
                                                            <li><a class="addtocart" href="{{url('cart/add/'.$product->id)}}"><i class="icofont-ui-cart"></i></a></li>
                                                            <li><a href="#"><i class="icofont-ui-love"></i></a></li>
                                                            <li><a href="{{url('product/details/' . $product->id . '/' . $product->slug)}}"><i class="icofont-eye"></i></a></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <div class="tab_product_contnt">
                                                    <ul>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                        <li><i class="fas fa-star"></i></li>
                                                    </ul>
                                                    <a href="{{url('product/details/' .$product->id .'/'. $product->slug)}}">
                                                        <h4>{{str_limit($product->name, 20)}}</h4>
                                                    </a>
                                                    <h3>Tk {{$product->price}}</h3>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    @endforeach
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <form id="addtocart-form" action="" method="POST" style="display: none;">
        @csrf
    </form>
@endsection
@push('js')
    <script src="{{asset('contents/website/assests/js/owl.carousel.min.js')}}"></script>
    <script src="{{asset('contents/website/assests/js/owl.carousel.active.js')}}"></script>
@endpush
