<?php $__env->startSection('title', 'Orders'); ?>
<?php $__env->startSection('content'); ?>
    <!-- Bread crumb and right sidebar toggle -->

    <?php $__env->startComponent('admin.dashboard.breadcumb'); ?>
    <li class="breadcrumb-item"><a href="<?php echo e(url('admin/invoice/'.$order->id)); ?>">Invoice</a></li>
    <?php echo $__env->renderComponent(); ?>

    <!-- End Bread crumb and right sidebar toggle -->
    <div class="page-content container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card card-body printableArea">
                    <h3><b>INVOICE</b> <span class="pull-right">#<?php echo e($order->id); ?></span></h3>
                    <hr>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="pull-left">
                                <address>
                                    <h3> &nbsp;<b class="text-danger">Redline BD</b></h3>
                                    <p class="text-muted ml-1" style="width: 130px"><?php echo e($companyInfo->address); ?></p>
                                    <span class="text-muted"><small>Phone:</small> <?php echo e($companyInfo->phone); ?></span><br>
                                    <span class="text-muted"><small>Email:</small> <?php echo e($companyInfo->email); ?></span>
                                </address>
                            </div>
                            <div class="pull-right text-right">
                                <address>
                                    <h3>To,</h3>
                                    <h4 class="font-bold"><?php echo e($order->shipping->first_name); ?> <?php echo e($order->shipping->last_name); ?></h4>
                                    <p class="text-muted ml-4"><?php echo e($order->shipping->address); ?>,
                                        <br/> <?php echo e($order->shipping->city->name); ?>, <?php echo e($order->shipping->country->name); ?> - <?php echo e($order->shipping->zip_code); ?></p>
                                    <p class="mt-4">Date : </i> <?php echo e(Carbon\Carbon::today()->format('d M Y')); ?></p>
                                </address>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="table-responsive mt-5" style="clear: both;">
                                <table class="table table-hover">
                                    <thead>
                                        <tr>
                                            <th>Id</th>
                                            <th>Name</th>
                                            <th>Code</th>
                                            <th>Size</th>
                                            <th>Color</th>
                                            <th>Price</th>
                                            <th>Qty</th>
                                            <th>Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $productCode = App\Product::find($product->product_id);
                                            ?>
                                            <tr>
                                                <td><?php echo e($key+1); ?></td>
                                                <td><?php echo e($product->name); ?></td>
                                                <td><?php echo e($productCode->code); ?></td>
                                                <td><?php echo e($product->SiZe != NULL ? $product->SiZe : '--'); ?> </td>
                                                <td><?php echo e($product->color != NULL ? $product->color : '--'); ?> </td>
                                                <td><?php echo e($product->price); ?></td>
                                                <td><?php echo e($product->qty); ?></td>
                                                <td><?php echo e($product->qty * $product->price); ?></td>
                                            </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mt-4 mr-5 text-right">
                                <p>Sub - Total amount: Tk <?php echo e($order->order_total); ?></p>
                                <p>Delivery charge : Tk <?php echo e($order->shipping_charge); ?> </p>
                            </div>
                            <hr>
                            <h3 class="text-right mr-5"><b>Total :</b> Tk <?php echo e($order->order_total + $order->shipping_charge); ?></h3>
                            <hr>
                            <div class="text-right">
                                <button id="print" class="btn btn-default btn-outline" type="button"> <span><i class="fa fa-print"></i> Print</span> </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
<script src="<?php echo e(asset('contents/admin/dist/js/pages/samplepages/jquery.PrintArea.js')); ?>"></script>
<script>
    $(function() {
        $("#print").click(function() {
            var mode = 'iframe'; //popup
            var close = mode == "popup";
            var options = {
                mode: mode,
                popClose: close
            };
            $("div.printableArea").printArea(options);
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.admin', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>