<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="<?php echo $__env->yieldContent('keywords', 'Redline BD with ✓ Ease Speed ✓ 100% Genuine Product ✓ Fastest Delivery all over Bangladesh'); ?>">
    <meta name="description" content="<?php echo $__env->yieldContent('description', 'Redlinebdshop.com trusted online shopping site in Bangladesh with free home delivery. Shop online for latest electronics, mobiles, fashion apparels. ✓Cash On Delivery ✓Low Prices'); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo $__env->yieldContent('title', $basicinfo->title); ?></title>
    <link rel="icon" href="<?php echo e(asset('storage/logos/'. $basicinfo->favicon)); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/fontawesome-all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/icofont.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/icofont.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/animate.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/bootstrap.min.css')); ?>">
    <?php echo $__env->yieldPushContent('css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/metisMenu.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('contents/website/assests/css/toastr.min.css')); ?>">
    <script src="<?php echo e(asset('contents/website/assests/js/modernizr-2.8.3.min.js')); ?>"></script>
    <script src="<?php echo e(asset('contents/website/assests/js/jquery-3.3.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('contents/website/assests/js/sweet-alert.js')); ?>"></script>
    <script src="<?php echo e(asset('contents/website/assests/js/toastr.min.js')); ?>"></script>
</head>

<body>

    <!-- <?php if(Session::has('success')): ?>
    <script>
        swal({   
            title: "Success",
            text: "<?php echo e(session('success')); ?>",
            icon: "success",
            timer: 2000
        });
    </script>
    <?php endif; ?>
    <?php if(Session::has('error')): ?>
      <script>
          swal({
              title: "Ops!",
              text: "<?php echo e(session('error')); ?>.",
              icon: "error",
              timer: 2000
          });
      </script>
    <?php endif; ?> -->
    <?php if(Session::has('success')): ?>
    <script>
        $.toast({
            heading: 'Success',
            text: '<?php echo e(session("success")); ?>',
            position: 'top-right',
            loaderBg:'#ff5050',
            bgColor: '#222',
            icon: 'success',
            hideAfter: 3000, 
            stack: 6
        });
    </script>
    <?php endif; ?>
    <?php if(Session::has('error')): ?>
    <script>
        $.toast({
            heading: 'Error',
            text: '<?php echo e(session("error")); ?>',
            position: 'top-right',
            loaderBg:'#ff5050',
            bgColor: '#222',
            icon: 'error',
            hideAfter: 3000, 
            stack: 6
        });
    </script>
    <?php endif; ?>
    <div class="loading">
        <img src="<?php echo e(asset('contents/website/assests/img/lg.curve-bars-loading-indicator.gif')); ?>" alt="">
    </div>
    <!--strat header top area-->
    <header id="header_top">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                    <div class="header_top_info_text">
                        <p><?php echo e($basicinfo->title); ?></p>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                    <div class="header_top_info text-right">
                        <ul>
                            <li><a href="tel:<?php echo e($basicinfo->phone); ?>"><i class="fas fa-phone-volume"></i> <?php echo e($basicinfo->phone); ?> </a></li>
                            <li><a href="mailto:<?php echo e($basicinfo->email); ?>"><i class="fas fa-envelope"></i> <?php echo e($basicinfo->email); ?></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!--satrt logo container-->
    <section id="banar_top_area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-2 col-lg-2 col-md-2 col-sm-2">
                    <div class="main_logo">
                        <a href="<?php echo e(url('/')); ?>">
                            <img class="img-fluid" src="<?php echo e(asset('storage/logos/'.$basicinfo->logo)); ?>" alt="logo">
                        </a>
                    </div>
                </div>
                <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5">
                    <div class="serach_bar">
                        <form action="<?php echo e(url('search')); ?>" method="get">
                            <div class="search_form_box">
                                <input type="text" name="query" placeholder="Search for product" value="<?php echo e(isset($query) ? $query : ''); ?>" required="">
                                <button type="submit"><i class="fas fa-search"></i></button>
                                <?php if($errors->has('query')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('query')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5">
                    <div class="row">
                        <div class="col-xl-7 col-lg-7 col-md-7 col-sm-7">
                            <div class="user_login">
                                <?php if(Session::has('customer_id')): ?>
                                    <?php
                                        $id = Session::get('customer_id');
                                        $customer = App\Customer::find($id);
                                    ?>
                                <ul>
                                    <li><a href="<?php echo e(url('customer/dashboard')); ?>"><i class="far fa-user"></i> <?php echo e($customer->name); ?></a>
                                        <ul>
                                            <li class="<?php echo e(request()->is('customer/account') ? 'active' : ''); ?>">
                                                <a href="<?php echo e(url('customer/account')); ?>"><i class="far fa-user"></i> My Profile</a>
                                           </li>
                                            <li class="<?php echo e(request()->is('customer/orders') ? 'active' : ''); ?>">
                                                <a href="<?php echo e(url('customer/orders')); ?>"><i class="fas fa-shopping-bag"></i> My Orders</a>
                                           </li>
                                            <li>
                                                <a href="<?php echo e(url('customer/logout')); ?>"><i class="fas fa-unlock"></i> Logout</a>
                                           </li>
                                        </ul>
                                    </li>
                                </ul>
                                <?php else: ?>
                                <ul>
                                    <li><a href="<?php echo e(url('customer/login')); ?>"><i class="fas fa-lock"></i> Login</a></li>
                                    <li><a href="<?php echo e(url('customer/register')); ?>"><i class="far fa-user"></i> Sign Up</a></li>

                                </ul>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5 ptl ptr">
                            <div class="user_cart">
                                <div class="user_cart_box">
                                    <p>Cart-<span><?php echo e(Cart::total()); ?></span></p>
                                    <span class="cart_bag"><i class="fas fa-shopping-bag"></i></span>
                                    <h6><?php echo e(Cart::count()); ?></h6>
                                </div>
                            </div>
                            <div class="cart_togle_content">
                                <div class="row">
                                    <?php $__empty_1 = true; $__currentLoopData = $cartItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="mini_cart_item">
                                        <div class="row">
                                            <div class="col-4 col-xl-4 col-lg-4 col-md-4 col-sm-4">
                                                <div class="mini_cart_image">
                                                    <img class="img-fluid" src="<?php echo e(asset('storage/products/'.$cartItem->options->image)); ?>" alt="cart">
                                                </div>
                                            </div>
                                            <div class="col-8 col-xl-8 col-lg-8 col-md-8 col-sm-8">
                                                <div class="mini_cart_content">
                                                    <h4><?php echo e(str_limit($cartItem->name, 20)); ?></h4>
                                                    <p><?php echo e($cartItem->qty); ?> × <?php echo e($cartItem->price); ?></p>
                                                    <a class="removetocart" href="<?php echo e(url('cart/remove/'.$cartItem->rowId)); ?>"><i class="far fa-trash-alt"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <div class="col-md-12 text-center">
                                        <p>There are no items in this cart</p>
                                    </div>
                                    <?php endif; ?>
                                    <?php if(Cart::count() > 0): ?>
                                    <div class="min_cart_button_bottom text-center">
                                        <a href="<?php echo e(url('shopping/cart')); ?>">View Cart</a>
                                        <a href="<?php echo e(url('payment/method')); ?>" class="min_cart_btn_sp">Check Out</a>
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start main menu area -->
    <section id="main_menu">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="menu_item_container pr">
                        <nav>
                            <ul>
                                <li class="<?php echo e(request()->is('/') ? 'active' : ''); ?>"><a href="<?php echo e(url('/')); ?>"><i class="fas fa-home"></i> Home</a></li>
                                <?php $__currentLoopData = $maincategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maincategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e(request()->is('product/category/'.$maincategory->slug) ? 'active' : ''); ?>">
                                    <a href="<?php echo e(url('product/category/'.$maincategory->slug)); ?>"><?php echo e($maincategory->name); ?></a>
                                    <?php if($maincategory->subcategories()->count() > 0): ?>
                                    <div class="mega_menu">
                                        <div class="container">
                                            <div class="row">
                                                <div class="col-xl-7 col-lg-7 col-md-7 col-sm-7">
                                                    <div class="mega_menu_link">
                                                        <div class="row">
                                                            <?php
                                                                $subcategories = $maincategory->subcategories()->get();
                                                            ?>
                                                            <?php $__currentLoopData = $subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <?php if($subcategory->categories->count() > 0): ?>
                                                                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                                                                    <div class="mega_menu_link_item">
                                                                        <h4><?php echo e($subcategory->name); ?></h4>
                                                                        <ul>
                                                                            <?php
                                                                                $categories = $subcategory->categories()->get();
                                                                            ?>
                                                                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <li><a href="<?php echo e(url('product/category/'.$category->id.'/'.$category->slug)); ?>"><?php echo e($category->name); ?></a></li>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                                <?php endif; ?>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-xl-5 col-lg-5 col-md-5 col-sm-5">
                                                    <div class="mega_menu_link_image">
                                                        <div class="row">
                                                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                                                                <div class="mega_menu_link_image_item">
                                                                    <a href="#">
                                                                        <img class="img-fluid" src="<?php echo e(asset('contents/website')); ?>/assests/img/block_menu1.jpg" alt="menu-image">
                                                                        <h4>Get 20% Discount</h4>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6">
                                                                <div class="mega_menu_link_image_item">
                                                                    <a href="#">
                                                                        <img class="img-fluid" src="<?php echo e(asset('contents/website')); ?>/assests/img/block_menu2.jpg" alt="menu-image">
                                                                        <h4>Get 40% Discount</h4>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e(request()->is('about') ? 'active' : ''); ?>"><a href="<?php echo e(url('/about')); ?>">About</a></li>
                                <li class="<?php echo e(request()->is('contact') ? 'active' : ''); ?>"><a href="<?php echo e(url('/contact')); ?>">Contact</a></li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start mobile menu start here -->
    <section id="mobile_menu_top">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-4 col-sm-4">
                    <div class="mobile_menu_top_logo">
                        <a href="<?php echo e(url('/')); ?>">
                            <img class="img-fluid" src="<?php echo e(asset('storage/logos/'. $basicinfo->logo)); ?>" alt="logo">
                        </a>
                    </div>
                </div>
                <div class="col-8 col-sm-8">
                    <div class="mobile_menu_top_search">
                        <form action="<?php echo e(url('search')); ?>" method="get">
                            <div class="mobile_menu_top_search_box">
                                <input type="text" name="query" placeholder="Search for product" value="<?php echo e(isset($query) ? $query : ''); ?>" required="">
                                <button type="submit"><i class="fas fa-search"></i></button>
                                <?php if($errors->has('query')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('query')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- start mobile menu menu -->
    <section id="mobile_menu_menu">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-2 col-sm-2">
                    <div class="mobile_menu_menu_icon">
                        <i class="fas fa-bars show_icon"></i>
                        <i class="fas fa-times close_icon"></i>
                    </div>
                </div>
                <div class="col-10 col-sm-6">
                    <div class="mobile_menu_menu_user">

                        <div class="user_login">
                            <?php if(Session::has('customer_id')): ?>
                                <?php
                                    $id = Session::get('customer_id');
                                    $customer = App\Customer::find($id);
                                ?>
                            <ul>
                                <li><a href="<?php echo e(url('customer/dashboard')); ?>"><i class="far fa-user"></i> <?php echo e($customer->name); ?></a>
                                    <ul>
                                        <li class="<?php echo e(request()->is('customer/account') ? 'active' : ''); ?>">
                                            <a href="<?php echo e(url('customer/account')); ?>"><i class="far fa-user"></i> My Profile</a>
                                       </li>
                                        <li class="<?php echo e(request()->is('customer/orders') ? 'active' : ''); ?>">
                                            <a href="<?php echo e(url('customer/orders')); ?>"><i class="fas fa-shopping-bag"></i> My Orders</a>
                                       </li>
                                    </ul>
                                </li>
                                <li>
                                    <a href="<?php echo e(url('customer/logout')); ?>"><i class="fas fa-unlock"></i> Logout</a>
                               </li>
                            </ul>
                            <?php else: ?>
                            <ul>
                                <li><a href="<?php echo e(url('customer/login')); ?>"><i class="fas fa-lock"></i> Login</a></li>
                                <li><a href="<?php echo e(url('customer/register')); ?>"><i class="far fa-user"></i> Sign Up</a></li>
                            </ul>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="user_cart">
                        <div class="user_cart_box">
                            <p>Cart-<span><?php echo e(Cart::total()); ?></span></p>
                            <span class="cart_bag"><i class="fas fa-shopping-bag"></i></span>
                            <h6><?php echo e(Cart::count()); ?></h6>
                        </div>
                    </div>
                    <div class="cart_togle_content">
                        <div class="row">
                            <?php $__empty_1 = true; $__currentLoopData = $cartItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="mini_cart_item">
                                <div class="row">
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                                        <div class="mini_cart_image">
                                            <img class="img-fluid" src="<?php echo e(asset('storage/products/'.$cartItem->options->image)); ?>" alt="cart">
                                        </div>
                                    </div>
                                    <div class="col-xl-8 col-lg-8 col-md-8 col-sm-8">
                                        <div class="mini_cart_content">
                                            <h4><?php echo e(str_limit($cartItem->name, 30)); ?></h4>
                                            <p><?php echo e($cartItem->qty); ?> × <?php echo e($cartItem->price); ?></p>
                                            <a class="removetocart" href="<?php echo e(url('cart/remove/'.$cartItem->rowId)); ?>"><i class="far fa-trash-alt"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <div class="col-md-12 text-center">
                                <p>There are no items in this cart</p>
                            </div>
                            <?php endif; ?>
                            <?php if(Cart::count() > 0): ?>
                            <div class="min_cart_button_bottom text-center">
                                <a href="<?php echo e(url('shopping/cart')); ?>">View Cart</a>
                                <a href="<?php echo e(url('payment/method')); ?>" class="min_cart_btn_sp">Check Out</a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <form id="removetocart-form" action="" method="POST" style="display: none;">
            <?php echo csrf_field(); ?>
            <?php echo method_field('delete'); ?>
        </form>

        <div id="moble_menu_menu_content">
            <div class="category_menu_mobile_content_menu">
                <aside class="sidebar">
                  <nav class="sidebar-nav">
                    <ul class="metismenu" id="auto-collapse-menu-demo">
                      <li class="<?php echo e(request()->is('/') ? 'active' : ''); ?>">
                          <a href="<?php echo e(url('/')); ?>"><span class="sidebar-nav-item"><i class="icofont-home"></i> Home</span>
                        </a>
                      </li>
                      <?php $__currentLoopData = $maincategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maincategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <li class="<?php echo e(request()->is('product/category/'.$maincategory->slug) ? 'active' : ''); ?>">
                        <a href="<?php echo e(url('product/category/'.$maincategory->slug)); ?>" aria-expanded="false"><i class="icofont-label"></i> <?php echo e($maincategory->name); ?> <span class="fa plus-times"></span></a>
                        <?php if($maincategory->subcategories()->count() > 0): ?>
                            <?php
                                $subcategories = $maincategory->subcategories()->get();
                            ?>
                            <?php $__currentLoopData = $subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($subcategory->categories->count() > 0): ?>
                            <ul class="metismenu" id="auto-collapse-menu-demo">
                                <li>
                                    <a href="javascript:void(0)" aria-expanded="false"><i class="icofont-label"></i> <?php echo e($subcategory->name); ?> <span class="fa plus-times"></span></a>
                                    <ul aria-expanded="false" class="animated fade">
                                      <?php
                                          $categories = $subcategory->categories()->get();
                                      ?>
                                      <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                      <li class="<?php echo e(request()->is('product/category/'.$category->id.'/'.$category->slug) ? 'active' : ''); ?>"><a href="<?php echo e(url('product/category/'.$category->id.'/'.$category->slug)); ?>"><?php echo e($category->name); ?></a></li>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </li>
                            </ul>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                      </li>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                  </nav>
                </aside>
            </div>
        </div>
    </section>
    
    <?php echo $__env->yieldContent('content'); ?>

    <!-- satrt news later area -->
    <section id="newslater">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="newslater_container text-center">
                        <h3>sign up to newsletter</h3>
                        <p>Instant Sign Up. Cancel Anytime. No Credit Card Required</p>
                        <div class="news_later_form">
                            <form action="<?php echo e(url('subscribe')); ?>" method="post">
                                <?php echo csrf_field(); ?>

                                <div class="news_later_input_container">
                                    <input name="email" type="email" placeholder="Enter your email" required="">

                                    <?php if($errors->has('email')): ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($errors->first('email')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                    <button type="submit">Subscribe</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- start footert top -->
    <section id="footer_top">
        <div class="container">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
                    <div class="footer_about">
                        <a href="<?php echo e(url('/')); ?>">
                            <img class="img-fluid" src="<?php echo e(asset('storage/logos/'.$basicinfo->logo)); ?>" alt="">
                        </a>
                        <p><?php echo e($basicinfo->description); ?>. </p>
                        <ul>
                            <li><a target="_blank" href="<?php echo e($sociallink->facebook); ?>"><i class="fab fa-facebook-f"></i></a></li>
                            <li><a target="_blank" href="<?php echo e($sociallink->twitter); ?>"><i class="fab fa-twitter"></i></a></li>
                            <li><a target="_blank" href="<?php echo e($sociallink->google); ?>"><i class="fab fa-google"></i></a></li>
                            <li><a target="_blank" href="<?php echo e($sociallink->instagram); ?>"><i class="fab fa-instagram"></i></a></li>
                            <li><a target="_blank" href="<?php echo e($sociallink->pinterest); ?>"><i class="fab fa-pinterest-p"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-8 col-lg-8 col-md-8 col-sm-8">
                    <div class="row">
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6">
                            <div class="footer_link">
                                <h3>CATEGORIES</h3>
                                <ul>
                                    <?php $__currentLoopData = $maincategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$maincategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(url('product/category/'.$maincategory->slug)); ?>"><?php echo e($maincategory->name); ?></a></li>
                                        <?php if($key+1 == 6): ?>
                                            <?php break; ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6">
                            <div class="footer_link">
                                <h3>MY ACCOUNT</h3>
                                <ul>
                                    <li><a href="<?php echo e(url('customer/orders')); ?>">Orders</a></li>
                                    <li><a href="#">Compare</a></li>
                                    <li><a href="#">Wishlist</a></li>
                                    <li><a href="<?php echo e(url('customer/login')); ?>">Log In</a></li>
                                    <li><a href="<?php echo e(url('customer/register')); ?>">Register</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
                            <div class="footer_link">
                                <h3>CONTACTS</h3>
                                <div class="conatct_info_footer">
                                    <p><span>Address:</span> <?php echo e($basicinfo->address); ?></p>
                                    <p><span>Phone:</span> <a href="tel:<?php echo e($basicinfo->phone_tow); ?>"> <?php echo e($basicinfo->phone_two); ?></a></p>
                                    <p><span>Hours:</span> 7 Days a week from 10 am to 6 pm</p>
                                    <p><span>Email</span> <a href="mailto:<?php echo e($basicinfo->email_two); ?>"> <?php echo e($basicinfo->email_two); ?></a></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <span><i class="icofont-long-arrow-up scrolltop"></i></span>
    </section>
    <!-- satrt footer copyright -->
    <footer id="copyright">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="footer_copy_content text-center">
                        <p>&copy; <span>Creative Syestem</span> 2019. All Rights Reserved </p>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- ========== this is main js link ========== -->

    <script src="<?php echo e(asset('contents/website/assests/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('contents/website/assests/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('contents/website/assests/js/metisMenu.min.js')); ?>"></script>
    <?php echo $__env->yieldPushContent('js'); ?>
    <script src="<?php echo e(asset('contents/website/assests/js/custom.js')); ?>"></script>
    <script>
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    </script>
</body>

</html>
