<?php $__env->startSection('title', $product->name); ?>
<?php $__env->startSection('content'); ?>
    <!-- Bread crumb and right sidebar toggle -->
    <?php $__env->startComponent('admin.dashboard.breadcumb'); ?>
    <li class="breadcrumb-item"><a href="<?php echo e(url('admin/recycle/products')); ?>">Products</a></li>
    <li class="breadcrumb-item active" aria-current="page">Show</li>
    <?php echo $__env->renderComponent(); ?>
    <!-- End Bread crumb and right sidebar toggle -->

    <!-- Start Page Content -->
    <div class="page-content container-fluid">
        <!-- Start Page Content -->
        <div class="row">
            <!-- Column -->
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <div class="pull-left">
                            <h6 class="card-title mt-1">Product Information</h6>
                        </div>
                        <div class="pull-right">
                            <a href="<?php echo e(url('/admin/products')); ?>" class="btn btn-outline-info btn-sm"><i class="mdi mdi-arrow-left"></i> Back</a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-6">
                                <div class="white-box text-center"> <img src="<?php echo e(asset('storage/products/'.$product->image)); ?>" class="img-responsive" width="250"> </div>
                            </div>
                            <div class="col-lg-9 col-md-9 col-sm-6 pl-4">
                                <h3 class="card-title"><?php echo e($product->name); ?></h3>
                                <p><?php echo e($product->description); ?></p>
                                <h2 class="mt-2">TK <?php echo e($product->price); ?> <?php if($product->discount !=NULL): ?><small class="text-success">(<?php echo e($product->discount); ?>% off)</small><?php endif; ?></h2>
                                <h3 class="box-title mt-3">Product Features</h3>
                                <?php echo $product->features; ?>

                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12">
                                <h3 class="box-title mt-5">General Info</h3>
                                <div class="table-responsive">
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <td>Categories</td>
                                                <td> 
                                                    <?php $__currentLoopData = $product->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e($category->name); ?>,
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td width="390">Brand</td>
                                                <td> <?php echo e($product->brand->name); ?> </td>
                                            </tr>
                                            <tr>
                                                <td>Colors</td>
                                                <td> 
                                                    <?php $__currentLoopData = $product->colors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $color): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e($color->name); ?>,
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Sizes</td>
                                                <td> 
                                                    <?php $__currentLoopData = $product->sizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $size): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e($size->name); ?>,
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Stock</td>
                                                <td> <?php echo e($product->stock); ?> </td>
                                            </tr>
                                            <tr>
                                                <td>Total Sales</td>
                                                <td> <?php echo e($product->sales); ?> </td>
                                            </tr>
                                            <tr>
                                                <td>Status</td>
                                                <?php if($product->status ==1): ?>
                                                <td> <span class="badge badge-success badge-pill">Published </span></td>
                                                <?php else: ?>
                                                <td> <span class="badge badge-warning badge-pill">Published </span></td>
                                                <?php endif; ?>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
        </div>
        <!-- End Page Content -->
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>