<?php $__env->startSection('title', $customer->name); ?>
<?php $__env->startSection('content'); ?>
    <!-- Bread crumb and right sidebar toggle -->

    <?php $__env->startComponent('admin.dashboard.breadcumb'); ?>
    <li class="breadcrumb-item"><a href="<?php echo e(url('admin/customers')); ?>">Customers</a></li>
    <li class="breadcrumb-item active" aria-current="page">Show</li>
    <?php echo $__env->renderComponent(); ?>

    <!-- End Bread crumb and right sidebar toggle -->
    <div class="page-content container-fluid">
        <div class="row justify-content-center">
            <div class="col-10">
                <div class="mail-details bg-white">
                    <div class="card-body border-bottom">
                        <h4 class="mb-0 mt-1 pull-left">Customer Information</h4>
                        <a href="<?php echo e(url('admin/customers')); ?>" class="pull-right btn btn-outline-info btn-sm"><i class="mdi mdi-arrow-left"></i>Back</a>
                        <div class="clearfix"></div>
                    </div>
                    <div class="card-body border-bottom">
                        <div class="d-flex no-block align-items-center mb-5">
                            <div class="mr-2">
                                <img src="<?php echo e(asset('storage/users/default.jpg')); ?>" alt="user" class="rounded-circle" width="45">
                            </div>
                            <div class="">
                                <h5 class="mb-0 font-16 font-medium"><?php echo e($customer->name); ?></h5>
                                <span><?php echo e($customer->email); ?></span><br>
                                <span><?php echo e($customer->phone); ?></span><br>
                                <span><?php echo e($customer->address); ?></span>
                            </div>
                        </div>
                        <h4 class="mb-3">Customer History</h4>
                        <table class="table table-responsive">
                            <tr>
                                <td>Customer Since</td>
                                <td>Last Login Date</td>
                                <td>Last Order Date</td>
                                <td>Last Order Total</td>
                                <td>Last Month Total Order</td>
                                <td>Last Year Total Order</td>
                                <td>Total Order</td>
                            </tr>
                            <tr>
                                <td><?php echo e($customer->created_at->format('d/m/Y')); ?></td>
                                <td><?php echo e($customer->updated_at->format('d/m/Y')); ?></td>
                                <?php
                                    $lastOrder = $customer->orders()->latest()->first();
                                    $lastMonthOrder = $customer->orders()->thismonth()->sum('order_total');
                                    $lastYearOrder = $customer->orders()->thismonth()->sum('order_total');
                                    $lastYearOrder = $customer->orders()->thisyear()->sum('order_total');
                                    $totalOrder = $customer->orders()->sum('order_total');
                                ?>
                                <?php if( $customer->orders()->count() > 0): ?>
                                <td><?php echo e($lastOrder->created_at->format('d/m/Y')); ?></td>
                                <td>Tk <?php echo e($lastOrder->order_total); ?></td>
                                <td>Tk <?php echo e($lastMonthOrder); ?></td>
                                <td>Tk <?php echo e($lastYearOrder); ?></td>
                                <td>Tk <?php echo e($totalOrder); ?></td>
                                <?php else: ?>
                                <td>--</td>
                                <td>--</td>
                                <td>--</td>
                                <td>--</td>
                                <td>--</td>
                                <?php endif; ?>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>