<?php $__env->startSection('title', 'Shopping Cart'); ?>
<?php $__env->startSection('content'); ?>
    <section id="payment_process">
        <div class="container">
            <?php echo $__env->make('website.checkout.stepsbar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </section>
    <!-- satrt cart section -->
    <section id="my_cart">
        <div class="container">
            <div class="row">
                <?php if($cartItems->count() > 0): ?>
                <div class="col-xl-12">
                    <div class="cart_main_content">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th scope="col">Remove</th>
                                    <th scope="col">Image</th>
                                    <th scope="col">Product(s) </th>
                                    <th scope="col">Price</th>
                                    <th scope="col">Quantity</th>
                                    <th scope="col">Total</th>
                                </tr>
                            </thead>
                            <tbody id="cartItem">
                                <!-- single add to cart item-->
                                <?php $__currentLoopData = $cartItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cartItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr scope="row">
                                    <td class="remove_btn_cart"><a class="removetocart" href="<?php echo e(url('cart/remove/'.$cartItem->rowId)); ?>"><i class="icofont-trash"></i></a></td>
                                    <td class="text-center"><img width="80" class="img-fluid" src="<?php echo e(asset('storage/products/'.$cartItem->options->image)); ?>" alt=""></td>
                                    <td>
                                        <h4><?php echo e($cartItem->name); ?></h4>
                                        <?php
                                            $product = App\Product::find($cartItem->id);
                                        ?>
                                        <?php if($cartItem->options->size != Null): ?>
                                            <p>Size: <?php echo e($cartItem->options->size); ?> </p>
                                        <?php endif; ?>
                                        <?php if($cartItem->options->color != Null): ?>
                                            <p>Color: <?php echo e($cartItem->options->color); ?> </p>
                                        <?php endif; ?>
                                        <a href="<?php echo e(url('product/details/'.$product->id.'/'.$product->slug)); ?>">Edit</a> 
                                    </td>
                                    <td class="add_cart_price text-center">&#2547; <?php echo e($cartItem->price); ?></td>
                                    <td>
                                        <div class="quantity_form_input text-center">
                                            <button class="minus<?php echo e($cartItem->id.$cartItem->options->size); ?> minus" <?php echo e($cartItem->qty == 1 ? 'disabled' : ''); ?>>-</button>
                                            <span data-rowid="<?php echo e($cartItem->rowId); ?>" class="qty<?php echo e($cartItem->id.$cartItem->options->size); ?>"><?php echo e($cartItem->qty); ?></span>
                                            <button class="plus<?php echo e($cartItem->id.$cartItem->options->size); ?> plus" <?php echo e($cartItem->qty == $product->stock ? 'disabled' : ''); ?>>+</button>
                                            <?php if($product->stock <= 5): ?>
                                                <p class="text-center">Only <?php echo e($product->stock); ?> <?php echo e($product->stock == 1 ? 'item' : 'items'); ?> in stock </p>
                                            <?php endif; ?>
                                        </div>
                                        <script>
                                                $(document).ready(function() {
                                                    // increment decrement
                                                    $(".plus<?php echo e($cartItem->id.$cartItem->options->size); ?>").on("click", function(e){
                                                        e.preventDefault();
                                                        var qty = $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").text();
                                                        if(qty < <?php echo e($product->stock); ?>){
                                                            var newqty = parseInt(qty)+parseInt(1);
                                                            $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").text(newqty);
                                                        }
                                                    });
                                                   
                                                    $(".minus<?php echo e($cartItem->id.$cartItem->options->size); ?>").on("click", function(e){
                                                        e.preventDefault();
                                                        var qty = $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").text();
                                                        if(qty > 1){
                                                            var newqty = parseInt(qty)-parseInt(1);
                                                            $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").text(newqty);
                                                        }
                                                    });

                                                    //Cart content update
                                                    function cartItems(){
                                                     var url = "<?php echo e(url('/cart/items')); ?>";
                                                     //console.log(url);
                                                     $.ajax({
                                                         url: url,
                                                         type: "GET",
                                                         dataType: "html",
                                                         success: function(data){
                                                             $("#cartItem").html(data);
                                                             //console.log(data);
                                                         }
                                                     })
                                                    }

                                                    // minus code
                                                    $(".minus<?php echo e($cartItem->id.$cartItem->options->size); ?>").on("click", function(e){
                                                        e.preventDefault();

                                                        var qty = $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").text();
                                                        var rowId = $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").data('rowid');
                                                        var url = "<?php echo e(url('/cart/update')); ?>";
                                                        //console.log(url);

                                                        $.ajax({
                                                            type: 'post',
                                                            url: url,
                                                            data: {qty:qty, row:rowId},
                                                            cache: false,
                                                            dataType: 'JSON',
                                                            beforeSend:function(){
                                                                $(".loading").css("display", "block");
                                                            },
                                                            success:function(data){
                                                                if(data == 'success'){
                                                                  return cartItems();
                                                                }
                                                                 //console.log(data);
                                                            },
                                                            complete: function(){
                                                               $(".loading").css("display", "none");
                                                            }
                                                        });
                                                    });

                                                    // plus code
                                                    $(".plus<?php echo e($cartItem->id.$cartItem->options->size); ?>").on("click", function(e){
                                                        e.preventDefault();

                                                        var qty = $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").text();
                                                        var rowId = $(".qty<?php echo e($cartItem->id.$cartItem->options->size); ?>").data('rowid');
                                                        var url = "<?php echo e(url('/cart/update')); ?>";
                                                        //console.log(url);

                                                        $.ajax({
                                                            type: 'post',
                                                            url: url,
                                                            data: {qty:qty, row:rowId},
                                                            cache: false,
                                                            dataType: 'JSON',
                                                            beforeSend:function(){
                                                                $(".loading").css("display", "block");
                                                            },
                                                            success:function(data){
                                                                if(data == 'success'){
                                                                  return cartItems();
                                                                }
                                                                 //console.log(data);
                                                            },
                                                            complete: function(){
                                                               $(".loading").css("display", "none");
                                                            }
                                                        });
                                                    });
                                                });

                                        </script>
                                    </td>
                                    <td class="add_cart_price_total text-center">&#2547; <?php echo e($cartItem->total); ?></td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="cart_sumary">
                        <div class="row">
                            <div class="col-xl-7 col-lg-7 col-md-6">
                                <div class="cart_sum_btn"> <a href="<?php echo e(url('shopping/cart')); ?>">Update Cart</a> <a class="btn_cart_sum_sp" href="<?php echo e(url('/')); ?>"><i class="icofont-shopping-cart"></i> Continue Shoping</a> </div>
                                <div class="copon_apply_form">
                                    <input type="text" placeholder="Coupe Code">
                                    <button type="submit">Apply Code</button>
                                </div>
                            </div>
                            <div class="col-xl-5 col-lg-5 col-md-6">
                                <div class="cart_sum_content">
                                    <ul>
                                        <li>Sub-Total:<span>Tk <?php echo e(Cart::subtotal()); ?></span></li>
                                        <li>Shipping:<span>Tk 50</span></li>
                                        <li class="sum_total">Total:<span>Tk <?php echo e(Cart::total() + 50); ?></span></li>
                                    </ul> <a href="<?php echo e(url('/payment/method')); ?>">Continue to Checkout</a> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php else: ?>
                <div class="col-xl-12">
                    <div class="success_message_content text-center">
                        <span><i class="icofont-close"></i></span>
                        <h3>There are no items in this cart</h3>
                        <p>Please add some item in your shopping cart.</p>
                        <a href="<?php echo e(url('/')); ?>">Retuen Shop</a>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </section>
    <form id="removetocart-form" action="" method="POST" style="display: none;">
        <?php echo csrf_field(); ?>
        <?php echo method_field('delete'); ?>
    </form>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
    <script src="<?php echo e(asset('contents/website/assests/js/bootstrap-input-spinner.js')); ?>"></script>
    <script>
        // this is for input group
        $("input[type='number']").InputSpinner();
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.website', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>