<!DOCTYPE html>
<html dir="ltr" lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('contents/admin/assets/images/favicon.png')); ?>">
    <title><?php echo $__env->yieldContent('title', 'Admin Panel'); ?></title>
    <?php echo $__env->yieldPushContent('css'); ?>
    <link href="<?php echo e(asset('contents/admin/assets/libs/toastr/build/toastr.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('contents/admin/dist/css/style.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('contents/admin/dist/css/custom.css')); ?>" rel="stylesheet">
    <script src="<?php echo e(asset('contents/admin/assets/libs/jquery/dist/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('contents/admin/assets/libs/toastr/build/toastr.min.js')); ?>"></script>
</head>

<body>
<!-- Preloader - style you can find in spinners.css -->
<div class="preloader">
    <div class="lds-ripple">
        <div class="lds-pos"></div>
        <div class="lds-pos"></div>
    </div>
</div>
    <?php if(Session::has('success')): ?>
    <script>
        $.toast({
            heading: 'Success',
            text: '<?php echo e(session("success")); ?>',
            position: 'top-right',
            loaderBg:'#ff5050',
            bgColor: '#2cd07e',
            icon: 'success',
            hideAfter: 3000, 
            stack: 6
        });
    </script>
    <?php endif; ?>
    <?php if(Session::has('error')): ?>
    <script>
        $.toast({
            heading: 'Error',
            text: '<?php echo e(session("error")); ?>',
            position: 'top-right',
            loaderBg:'#ff5050',
            bgColor: '#2cd07e',
            icon: 'error',
            hideAfter: 3000, 
            stack: 6
        });
    </script>
    <?php endif; ?>
<!-- Main wrapper - style you can find in pages.scss -->

<div id="main-wrapper">

    <!-- Topbar header - style you can find in pages.scss -->

    <header class="topbar">
        <nav class="navbar top-navbar navbar-expand-md navbar-dark">
            <div class="navbar-header">
                <!-- This is for the sidebar toggle which is visible on mobile only -->
                <a class="nav-toggler waves-effect waves-light d-block d-md-none" href="javascript:void(0)"><i class="ti-menu ti-close"></i></a>
                <a class="navbar-brand" href="<?php echo e(url('admin')); ?>">
                    <!-- Logo icon -->
                    <b class="logo-icon">
                        <!--You can put here icon as well // <i class="wi wi-sunset"></i> //-->
                        <!-- Dark Logo icon -->
                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/logos/logo-icon.png" alt="homepage" class="dark-logo" />
                        <!-- Light Logo icon -->
                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/logos/logo-light-icon.png" alt="homepage" class="light-logo" />
                    </b>
                    <!--End Logo icon -->
                    <!-- Logo text -->
                    <span class="logo-text">
                        <!-- dark Logo text -->
                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/logos/logo-text.png" alt="homepage" class="dark-logo" />
                        <!-- Light Logo text -->
                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/logos/logo-light-text.png" class="light-logo" alt="homepage" />
                    </span>
                </a>

                <!-- End Logo -->

                <!-- Toggle which is visible on mobile only -->

                <a class="topbartoggler d-block d-md-none waves-effect waves-light" href="javascript:void(0)" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><i class="ti-more"></i></a>
            </div>

            <!-- End Logo -->

            <div class="navbar-collapse collapse" id="navbarSupportedContent">

                <!-- toggle and nav items -->

                <ul class="navbar-nav float-left mr-auto">
                    <li class="nav-item d-none d-md-block"><a class="nav-link sidebartoggler waves-effect waves-light" href="javascript:void(0)" data-sidebartype="mini-sidebar"><i class="mdi mdi-menu font-18"></i></a></li>

                    <!-- Messages -->

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle waves-effect waves-dark" href="#" id="2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> <i class="font-18 mdi mdi-gmail"></i>
                            <div class="notify">
                                <span class="heartbit"></span>
                                <span class="point"></span>
                            </div>
                        </a>
                        <div class="dropdown-menu dropdown-menu-left mailbox animated bounceInDown" aria-labelledby="2">
                            <ul class="list-style-none">
                                <li>
                                    <?php if($unreadedMessages > 0): ?>
                                    <div class="drop-title border-bottom">You have <?php echo e($unreadedMessages); ?> new <?php echo e($unreadedMessages > 1 ? 'messanges' : 'message'); ?></div>
                                    <?php else: ?>
                                    <div class="drop-title border-bottom">You have no new messange</div>
                                    <?php endif; ?>
                                </li>
                                <li>
                                    <div class="message-center message-body">
                                        <!-- Message -->
                                        <?php $__currentLoopData = $contactMessages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$contactMessage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a href="<?php echo e(url('admin/contacts/'.$contactMessage->id)); ?>" class="message-item <?php echo e($contactMessage->status == 0 ? 'unreaded' : ''); ?>">
                                                <span class="user-img"> 
                                                    <img src="<?php echo e(asset('storage/users/default.jpg')); ?>" alt="user" class="rounded-circle"> 
                                                    <span class="profile-status online pull-right"></span> 
                                                </span>
                                                <span class="mail-contnet">
                                                    <h5 class="message-title"><?php echo e($contactMessage->name); ?></h5> 
                                                    <span class="mail-desc"><?php echo e(str_limit($contactMessage->subject, 20)); ?></span> 
                                                    <span class="time"><?php echo e($contactMessage->created_at->diffForHumans()); ?></span> 
                                                </span>
                                            </a>
                                                <?php if($key+1 == 4): ?>
                                                    <?php break; ?>
                                                <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </li>
                                <li>
                                    <a class="nav-link text-center link text-dark" href="<?php echo e(url('admin/contacts')); ?>"> <b>See all Messages</b> <i class="fa fa-angle-right"></i> </a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    <!-- mega menu -->

                    <!-- <li class="nav-item dropdown mega-dropdown">
                        <a class="nav-link dropdown-toggle waves-effect waves-dark" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="d-none d-md-block">Mega <i class="icon-options-vertical"></i></span>
                            <span class="d-block d-md-none"><i class="mdi mdi-dialpad font-24"></i></span>
                        </a>
                        <div class="dropdown-menu animated bounceInDown">
                            <div class="mega-dropdown-menu row">
                                <div class="col-lg-3 col-xlg-2 mb-4">
                                    <h5 class="mb-3">CAROUSEL</h5>
                                    <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                                        <div class="carousel-inner" role="listbox">
                                            <div class="carousel-item active">
                                                <div class="container p-0"> <img class="d-block img-fluid" src="<?php echo e(asset('contents/admin')); ?>/assets/images/big/img1.jpg" alt="First slide"></div>
                                            </div>
                                            <div class="carousel-item">
                                                <div class="container p-0"><img class="d-block img-fluid" src="<?php echo e(asset('contents/admin')); ?>/assets/images/big/img2.jpg" alt="Second slide"></div>
                                            </div>
                                            <div class="carousel-item">
                                                <div class="container p-0"><img class="d-block img-fluid" src="<?php echo e(asset('contents/admin')); ?>/assets/images/big/img3.jpg" alt="Third slide"></div>
                                            </div>
                                        </div>
                                        <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev"> <span class="carousel-control-prev-icon" aria-hidden="true"></span> <span class="sr-only">Previous</span> </a>
                                        <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next"> <span class="carousel-control-next-icon" aria-hidden="true"></span> <span class="sr-only">Next</span> </a>
                                    </div>
                                </div>
                                <div class="col-lg-3 mb-4">
                                    <h5 class="mb-3">ACCORDION</h5>
                                    <div id="accordion" class="accordion">
                                        <div class="card mb-1">
                                            <div class="card-header" id="headingOne">
                                                <h5 class="mb-0">
                                                    <button class="btn btn-link" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                                        Collapsible Group Item #1
                                                    </button>
                                                </h5>
                                            </div>
                                            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordion">
                                                <div class="card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry.
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card mb-1">
                                            <div class="card-header" id="headingTwo">
                                                <h5 class="mb-0">
                                                    <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                                        Collapsible Group Item #2
                                                    </button>
                                                </h5>
                                            </div>
                                            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
                                                <div class="card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry.
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card mb-1">
                                            <div class="card-header" id="headingThree">
                                                <h5 class="mb-0">
                                                    <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                                        Collapsible Group Item #3
                                                    </button>
                                                </h5>
                                            </div>
                                            <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordion">
                                                <div class="card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry.
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3  mb-4">
                                    <h5 class="mb-3">CONTACT US</h5>
                                    <form>
                                        <div class="form-group">
                                            <input type="text" class="form-control" id="exampleInputname1" placeholder="Enter Name"> </div>
                                        <div class="form-group">
                                            <input type="email" class="form-control" placeholder="Enter email"> </div>
                                        <div class="form-group">
                                            <textarea class="form-control" id="exampleTextarea" rows="3" placeholder="Message"></textarea>
                                        </div>
                                        <button type="submit" class="btn btn-info">Submit</button>
                                    </form>
                                </div>
                                <div class="col-lg-3 col-xlg-4 mb-4">
                                    <h5 class="mb-3">LIST STYLE</h5>
                                    <ul class="list-style-none">
                                        <li><a href="javascript:void(0)"><i class="fa fa-check text-success"></i> You can give link</a></li>
                                        <li><a href="javascript:void(0)"><i class="fa fa-check text-success"></i> Give link</a></li>
                                        <li><a href="javascript:void(0)"><i class="fa fa-check text-success"></i> Another Give link</a></li>
                                        <li><a href="javascript:void(0)"><i class="fa fa-check text-success"></i> Forth link</a></li>
                                        <li><a href="javascript:void(0)"><i class="fa fa-check text-success"></i> Another fifth link</a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </li> -->
                </ul>

                <!-- Right side toggle and nav items -->

                <ul class="navbar-nav float-right">

                    <!-- Search -->

                    <li class="nav-item search-box">
                        <form action="<?php echo e(url('admin/search')); ?>" method="get" class="app-search d-none d-lg-block">
                            <input name="query" type="text" class="form-control" placeholder="Search Product" value="<?php echo e(isset($query) ? $query : ''); ?>" required="">
                            <a class="active" href="javascript:void(0)"><i class="fa fa-search"></i></a>
                        </form>
                        <?php if($errors->has('query')): ?>
                        <span class="invalid-feedback">
                            <strong><?php echo e($errors->first('query')); ?></strong>
                        </span>
                        <?php endif; ?>
                    </li>

                    <!-- User profile and search -->

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle waves-effect waves-dark pro-pic" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img src="<?php echo e(asset('storage/users/' . Auth::user()->image)); ?>" alt="user" class="rounded-circle" width="31">
                            <span class="ml-2 user-text font-medium"><?php echo e(Auth::user()->name); ?></span><span class="fas fa-angle-down ml-2 user-text"></span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right user-dd animated flipInY">
                            <div class="d-flex no-block align-items-center p-3 mb-2 border-bottom">
                                <div class=""><img src="<?php echo e(asset('storage/users/' . Auth::user()->image)); ?>" alt="user" class="rounded" width="80"></div>
                                <div class="ml-2">
                                    <h4 class="mb-0"><?php echo e(Auth::user()->name); ?></h4>
                                    <p class=" mb-0 text-muted"><?php echo e(Auth::user()->email); ?></p>
                                    <a href="<?php echo e(url('admin/users/'.Auth::id())); ?>" class="btn btn-sm btn-danger text-white mt-2 btn-rounded">View Profile</a>
                                </div>
                            </div>
                            <a class="dropdown-item" href="<?php echo e(url('admin/users/'.Auth::id())); ?>"><i class="ti-user mr-1 ml-1"></i> My Profile</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                               onclick="event.preventDefault();
                               document.getElementById('logout-form').submit();"><i class="fa fa-power-off mr-1 ml-1"></i> Logout</a>
                            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                <?php echo csrf_field(); ?>
                            </form>
                        </div>
                    </li>

                    <!-- User profile and search -->

                </ul>
            </div>
        </nav>
    </header>

    <!-- End Topbar header -->


    <!-- Left Sidebar - style you can find in sidebar.scss  -->

    <aside class="left-sidebar">
        <!-- Sidebar scroll-->
        <div class="scroll-sidebar">
            <!-- Sidebar navigation-->
            <nav class="sidebar-nav">
                <ul id="sidebarnav">
                    <!-- User Profile-->
                    <li>
                        <!-- User Profile-->
                        <div class="user-profile text-center dropdown p-3">
                            <div class="user-pic"><img src="<?php echo e(asset('storage/users/' . Auth::user()->image)); ?>" alt="users" class="rounded-circle" width="50" /></div>
                            <div class="user-content hide-menu">
                                <a href="javascript:void(0)" class="mt-2" id="Userdd" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <h5 class="mb-0 user-name mt-2"><?php echo e(Auth::user()->name); ?> <i class="fa fa-angle-down"></i></h5>
                                </a>
                                <div class="dropdown-menu dropdown-menu-left" aria-labelledby="Userdd">
                                    <a class="dropdown-item" href="<?php echo e(url('admin/users/'.Auth::id())); ?>"><i class="ti-user m-r-5 m-l-5"></i> My Profile</a>
                                    <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                       onclick="event.preventDefault();
                                       document.getElementById('logout-form').submit();"><i class="fa fa-power-off m-r-5 m-l-5"></i> Logout</a>
                                </div>
                            </div>
                        </div>
                        <!-- End User Profile-->
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('admin')); ?>" aria-expanded="false">
                            <i class="mdi mdi-av-timer"></i>
                            <span class="hide-menu">Dashboard</span>
                        </a>
                    </li>
                     <li class="sidebar-item">
                        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
                            <i class="mdi mdi-cart-outline"></i>
                            <span class="hide-menu">Orders</span>
                        </a>
                        <ul aria-expanded="false" class="collapse first-level">
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/orders/today')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-cart"></i>
                                    <span class="hide-menu">Today Orders</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e(App\Order::today()->count()); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/orders/thismonth')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-cart"></i>
                                    <span class="hide-menu">This Month Orders</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e(App\Order::thismonth()->count()); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/orders/thisyear')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-cart"></i>
                                    <span class="hide-menu">This Year Orders</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e(App\Order::thisyear()->count()); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/orders')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-cart"></i>
                                    <span class="hide-menu">All Orders</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($orders->count()); ?></span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('admin/contacts')); ?>" aria-expanded="false">
                        <i class="mdi mdi-facebook-messenger"></i>
                            <span class="hide-menu">Contact Messages</span>
                            <?php if($unreadedMessages > 0): ?>
                            <span class="badge badge-inverse badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($unreadedMessages); ?></span>
                            <?php endif; ?>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
                            <i class="mdi mdi-filter-variant"></i>
                            <span class="hide-menu">Products</span>
                        </a>
                        <ul aria-expanded="false" class="collapse first-level">
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/products/create')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-plus-circle-outline"></i>
                                    <span class="hide-menu">Add Product</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/products')); ?>" class="sidebar-link">
                                    <i class="fab fa-product-hunt"></i>
                                    <span class="hide-menu">All Products</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($totalProduct); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/products/topsale')); ?>" class="sidebar-link">
                                    <i class="fab fa-product-hunt"></i>
                                    <span class="hide-menu">Top Sale Products</span>
                                    <span class="badge badge-warning text-white badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($topSaleProduct); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/products/draft')); ?>" class="sidebar-link">
                                    <i class="fab fa-product-hunt"></i>
                                    <span class="hide-menu">Draft Products</span>
                                    <span class="badge badge-warning text-white badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($draftProduct); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/products/stockout')); ?>" class="sidebar-link">
                                    <i class="fab fa-product-hunt"></i>
                                    <span class="hide-menu">Stock out Products</span>
                                    <span class="badge badge-danger text-white badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($stockoutProduct); ?></span>
                                </a>
                            </li>
                            <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('/admin/products/type/'. $type->slug)); ?>" class="sidebar-link">
                                    <i class="fab fa-product-hunt"></i>
                                    <span class="hide-menu"><?php echo e($type->name); ?></span>
                                    <span class="badge badge-info text-white badge-pill ml-auto mr-3 font-medium px-2 py-1"> <?php echo e(App\Type::find($type->id)->products()->count()); ?></span>
                                </a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
                            <i class="mdi mdi-filter-variant"></i>
                            <span class="hide-menu">Product Categories</span>
                        </a>
                        <ul aria-expanded="false" class="collapse first-level">
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/maincategory')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-tag-outline"></i>
                                    <span class="hide-menu">Main Categories</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($totalMaincategory); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/subcategory')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-tag-multiple"></i>
                                    <span class="hide-menu">Subcategories</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($totalSubcategory); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/category')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-tag-outline"></i>
                                    <span class="hide-menu">Categories</span>
                                    <span class="badge badge-info badge-pill ml-auto mr-3 font-medium px-2 py-1"><?php echo e($totalCategory); ?></span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('admin/brands')); ?>" aria-expanded="false">
                        <i class="mdi mdi-beats"></i>
                            <span class="hide-menu">Brands</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('admin/customers')); ?>" aria-expanded="false">
                            <i class="mdi mdi-account-multiple-outline"></i>
                            <span class="hide-menu">Customers</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('admin/subscribers')); ?>" aria-expanded="false">
                            <i class="mdi mdi-email-outline"></i>
                            <span class="hide-menu">Subscribers</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('admin/users')); ?>" aria-expanded="false">
                            <i class="mdi mdi-account-multiple"></i>
                            <span class="hide-menu">Users</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
                            <i class="mdi mdi mdi-content-copy"></i>
                            <span class="hide-menu">Pages</span>
                        </a>
                        <ul aria-expanded="false" class="collapse first-level">
                            <li class="sidebar-item">
                                <a class="has-arrow sidebar-link" href="javascript:void(0)" aria-expanded="false">
                                    <i class="mdi mdi-home-outline"></i>
                                    <span class="hide-menu">Home</span>
                                </a>
                                <ul aria-expanded="false" class="collapse second-level">
                                    <li class="sidebar-item">
                                        <a href="<?php echo e(url('admin/banners')); ?>" class="sidebar-link">
                                            <i class="mdi mdi-image"></i>
                                            <span class="hide-menu"> Banner</span>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="sidebar-item">
                                <a class="sidebar-link" href="<?php echo e(url('admin/about')); ?>" aria-expanded="false">
                                    <i class="mdi mdi-information-outline"></i>
                                    <span class="hide-menu">About</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
                            <i class="mdi mdi-recycle"></i>
                            <span class="hide-menu">Recycle Bin</span>
                        </a>
                        <ul aria-expanded="false" class="collapse first-level">
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/recycle/orders')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-cart-outline"></i>
                                    <span class="hide-menu">Orders</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/recycle/contacts')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-facebook-messenger"></i>
                                    <span class="hide-menu">Contact Message</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/recycle/products')); ?>" class="sidebar-link">
                                    <i class="fab fa-product-hunt"></i>
                                    <span class="hide-menu">Products</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/recycle/customers')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-account-multiple"></i>
                                    <span class="hide-menu">Customers</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/recycle/banners')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-image"></i>
                                    <span class="hide-menu">Banners</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/recycle/users')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-account-multiple"></i>
                                    <span class="hide-menu">Users</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
                            <i class="mdi mdi-settings"></i>
                            <span class="hide-menu">Settings</span>
                        </a>
                        <ul aria-expanded="false" class="collapse first-level">
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/basicinfo')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-information-outline"></i>
                                    <span class="hide-menu">Basic Info</span>
                                </a>
                            </li>
                            <li class="sidebar-item">
                                <a href="<?php echo e(url('admin/sociallink')); ?>" class="sidebar-link">
                                    <i class="mdi mdi-share-variant"></i>
                                    <span class="hide-menu">Social Links</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="sidebar-item">
                        <a target="_blank" class="sidebar-link waves-effect waves-dark" href="<?php echo e(url('/')); ?>" aria-expanded="false">
                            <i class="mdi mdi-earth"></i>
                            <span class="hide-menu">Live Site</span>
                        </a>
                    </li>
                    <li class="sidebar-item">
                        <a class="sidebar-link waves-effect waves-dark sidebar-link" href="<?php echo e(route('logout')); ?>"
                           onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();" aria-expanded="false">
                            <i class="mdi mdi-adjust text-info"></i>
                            <span class="hide-menu">Log Out</span>
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- End Sidebar navigation -->
        </div>
        <!-- End Sidebar scroll-->
    </aside>

    <!-- End Left Sidebar - style you can find in sidebar.scss  -->


    <!-- Page wrapper  -->

    <div class="page-wrapper">

        <!-- Container fluid  -->

        <?php echo $__env->yieldContent('content'); ?>

        <!-- End Container fluid  -->


        <!-- footer -->

        <footer class="footer text-center">
            &copy All Rights Reserved by RedLine. Developed by
            <a href="#">Creative Shaper</a>.
        </footer>

        <!-- End footer -->

    </div>

    <!-- End Page wrapper  -->

</div>

<!-- End Wrapper -->


<!-- customizer Panel -->

<!-- <aside class="customizer">
    <a href="javascript:void(0)" class="service-panel-toggle">
        <i class="fa fa-spin fa-cog"></i>
    </a>
    <div class="customizer-body">
        <ul class="nav customizer-tab" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">
                    <i class="mdi mdi-wrench font-20"></i>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#chat" role="tab" aria-controls="chat" aria-selected="false">
                    <i class="mdi mdi-message-reply font-20"></i>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">
                    <i class="mdi mdi-star-circle font-20"></i>
                </a>
            </li>
        </ul>
        <div class="tab-content" id="pills-tabContent">
            <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                <div class="p-3 border-bottom">
                    <h5 class="font-medium mb-2 mt-2">Layout Settings</h5>

                    <div class="custom-control custom-checkbox mt-2">
                        <input type="checkbox" class="custom-control-input sidebartoggler" name="collapssidebar" id="collapssidebar">
                        <label class="custom-control-label" for="collapssidebar">Collapse Sidebar</label>
                    </div>
                    <div class="custom-control custom-checkbox mt-2">
                        <input type="checkbox" class="custom-control-input" name="sidebar-position" id="sidebar-position">
                        <label class="custom-control-label" for="sidebar-position">Fixed Sidebar</label>
                    </div>
                    <div class="custom-control custom-checkbox mt-2">
                        <input type="checkbox" class="custom-control-input" name="header-position" id="header-position">
                        <label class="custom-control-label" for="header-position">Fixed Header</label>
                    </div>
                    <div class="custom-control custom-checkbox mt-2">
                        <input type="checkbox" class="custom-control-input" name="boxed-layout" id="boxed-layout">
                        <label class="custom-control-label" for="boxed-layout">Boxed Layout</label>
                    </div>
                </div>
                <div class="p-3 border-bottom">
                    <h5 class="font-medium mb-2 mt-2">Logo Backgrounds</h5>
                    <ul class="theme-color">
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-logobg="skin1"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-logobg="skin2"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-logobg="skin3"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-logobg="skin4"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-logobg="skin5"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-logobg="skin6"></a>
                        </li>
                    </ul>
                </div>
                <div class="p-3 border-bottom">
                    <h5 class="font-medium mb-2 mt-2">Navbar Backgrounds</h5>
                    <ul class="theme-color">
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-navbarbg="skin1"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-navbarbg="skin2"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-navbarbg="skin3"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-navbarbg="skin4"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-navbarbg="skin5"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-navbarbg="skin6"></a>
                        </li>
                    </ul>
                </div>
                <div class="p-3 border-bottom">
                    <h5 class="font-medium mb-2 mt-2">Sidebar Backgrounds</h5>
                    <ul class="theme-color">
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-sidebarbg="skin1"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-sidebarbg="skin2"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-sidebarbg="skin3"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-sidebarbg="skin4"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-sidebarbg="skin5"></a>
                        </li>
                        <li class="theme-item">
                            <a href="javascript:void(0)" class="theme-link" data-sidebarbg="skin6"></a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="tab-pane fade" id="chat" role="tabpanel" aria-labelledby="pills-profile-tab">
                <ul class="mailbox list-style-none mt-3">
                    <li>
                        <div class="message-center chat-scroll">
                            <a href="javascript:void(0)" class="message-item" id='chat_user_1' data-user-id='1'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/1.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status online pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Pavan kumar</h5>
                                    <span class="mail-desc">Just see the my admin!</span>
                                    <span class="time">9:30 AM</span>
                                </div>
                            </a>
     
                            <a href="javascript:void(0)" class="message-item" id='chat_user_2' data-user-id='2'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/2.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status busy pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Sonu Nigam</h5>
                                    <span class="mail-desc">I've sung a song! See you at</span>
                                    <span class="time">9:10 AM</span>
                                </div>
                            </a>

                            <a href="javascript:void(0)" class="message-item" id='chat_user_3' data-user-id='3'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/3.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status away pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Arijit Sinh</h5>
                                    <span class="mail-desc">I am a singer!</span>
                                    <span class="time">9:08 AM</span>
                                </div>
                            </a>

                            <a href="javascript:void(0)" class="message-item" id='chat_user_4' data-user-id='4'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/4.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status offline pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Nirav Joshi</h5>
                                    <span class="mail-desc">Just see the my admin!</span>
                                    <span class="time">9:02 AM</span>
                                </div>
                            </a>

                            <a href="javascript:void(0)" class="message-item" id='chat_user_5' data-user-id='5'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/5.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status offline pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Sunil Joshi</h5>
                                    <span class="mail-desc">Just see the my admin!</span>
                                    <span class="time">9:02 AM</span>
                                </div>
                            </a>

                            <a href="javascript:void(0)" class="message-item" id='chat_user_6' data-user-id='6'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/6.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status offline pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Akshay Kumar</h5>
                                    <span class="mail-desc">Just see the my admin!</span>
                                    <span class="time">9:02 AM</span>
                                </div>
                            </a>

                            <a href="javascript:void(0)" class="message-item" id='chat_user_7' data-user-id='7'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/7.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status offline pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Pavan kumar</h5>
                                    <span class="mail-desc">Just see the my admin!</span>
                                    <span class="time">9:02 AM</span>
                                </div>
                            </a>

                            <a href="javascript:void(0)" class="message-item" id='chat_user_8' data-user-id='8'>
                                    <span class="user-img">
                                        <img src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/8.jpg" alt="user" class="rounded-circle">
                                        <span class="profile-status offline pull-right"></span>
                                    </span>
                                <div class="mail-contnet">
                                    <h5 class="message-title">Varun Dhavan</h5>
                                    <span class="mail-desc">Just see the my admin!</span>
                                    <span class="time">9:02 AM</span>
                                </div>
                            </a>

                        </div>
                    </li>
                </ul>
            </div>

            <div class="tab-pane fade p-3" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">
                <h6 class="mt-3 mb-3">Activity Timeline</h6>
                <div class="steamline">
                    <div class="sl-item">
                        <div class="sl-left bg-success">
                            <i class="ti-user"></i>
                        </div>
                        <div class="sl-right">
                            <div class="font-medium">Meeting today
                                <span class="sl-date"> 5pm</span>
                            </div>
                            <div class="desc">you can write anything </div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left bg-info">
                            <i class="fas fa-image"></i>
                        </div>
                        <div class="sl-right">
                            <div class="font-medium">Send documents to Clark</div>
                            <div class="desc">Lorem Ipsum is simply </div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left">
                            <img class="rounded-circle" alt="user" src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/2.jpg"> </div>
                        <div class="sl-right">
                            <div class="font-medium">Go to the Doctor
                                <span class="sl-date">5 minutes ago</span>
                            </div>
                            <div class="desc">Contrary to popular belief</div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left">
                            <img class="rounded-circle" alt="user" src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/1.jpg"> </div>
                        <div class="sl-right">
                            <div>
                                <a href="javascript:void(0)">Stephen</a>
                                <span class="sl-date">5 minutes ago</span>
                            </div>
                            <div class="desc">Approve meeting with tiger</div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left bg-primary">
                            <i class="ti-user"></i>
                        </div>
                        <div class="sl-right">
                            <div class="font-medium">Meeting today
                                <span class="sl-date"> 5pm</span>
                            </div>
                            <div class="desc">you can write anything </div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left bg-info">
                            <i class="fas fa-image"></i>
                        </div>
                        <div class="sl-right">
                            <div class="font-medium">Send documents to Clark</div>
                            <div class="desc">Lorem Ipsum is simply </div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left">
                            <img class="rounded-circle" alt="user" src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/4.jpg"> </div>
                        <div class="sl-right">
                            <div class="font-medium">Go to the Doctor
                                <span class="sl-date">5 minutes ago</span>
                            </div>
                            <div class="desc">Contrary to popular belief</div>
                        </div>
                    </div>
                    <div class="sl-item">
                        <div class="sl-left">
                            <img class="rounded-circle" alt="user" src="<?php echo e(asset('contents/admin')); ?>/assets/images/users/6.jpg"> </div>
                        <div class="sl-right">
                            <div>
                                <a href="javascript:void(0)">Stephen</a>
                                <span class="sl-date">5 minutes ago</span>
                            </div>
                            <div class="desc">Approve meeting with tiger</div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</aside> -->
<div class="chat-windows"></div>
<!-- All Jquery -->

<script src="<?php echo e(asset('contents/admin/assets/libs/popper.js/dist/umd/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/assets/libs/bootstrap/dist/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/dist/js/app.min.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/dist/js/app.init.minimal.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/assets/libs/perfect-scrollbar/dist/perfect-scrollbar.jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/assets/extra-libs/sparkline/sparkline.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/dist/js/waves.js')); ?>"></script>
<script src="<?php echo e(asset('contents/admin/dist/js/sidebarmenu.js')); ?>"></script>
<?php echo $__env->yieldPushContent('js'); ?>
<script src="<?php echo e(asset('contents/admin/dist/js/custom.min.js')); ?>"></script>
<script>
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
</script>
</body>
</html>
