<?php $__env->startSection('title', 'Recycled Order'); ?>
<?php $__env->startSection('content'); ?>
    <!-- Bread crumb and right sidebar toggle -->

    <?php $__env->startComponent('admin.dashboard.breadcumb'); ?>
    <li class="breadcrumb-item">Recycle</li>
    <li class="breadcrumb-item"><a href="<?php echo e(url('admin/recycle/users')); ?>">Users</a></li>
    <li class="breadcrumb-item active" aria-current="page">Show</li>
    <?php echo $__env->renderComponent(); ?>

    <!-- End Bread crumb and right sidebar toggle -->
    <div class="page-content container-fluid">
        <!-- Start Page Content -->
        <!-- Row -->
        <div class="row">
            <div class="col-12">
                <div class="material-card card">
                    <div class="card-header">
                        <div class="pull-left">
                            <h6 class="card-title mt-1">Order Details</h6>
                        </div>
                        <div class="pull-right">
                            <a href="<?php echo e(url('/admin/recycle/orders')); ?>" class="btn btn-outline-info btn-sm"><i class="mdi mdi-plus-circle"></i> Back</a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped border">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Name</th>
                                        <th>Code</th>
                                        <th>Size</th>
                                        <th>Color</th>
                                        <th>Price</th>
                                        <th>Qty</th>
                                        <th>Total</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $productCode = App\Product::find($product->product_id);
                                    ?>
                                    <tr>
                                        <td><?php echo e($product->id); ?></td>
                                        <td><?php echo e($product->name); ?></td>
                                        <td><?php echo e($productCode->code); ?></td>
                                        <td><?php echo e($product->SiZe != NULL ? $product->SiZe : '--'); ?></td>
                                        <td><?php echo e($product->color != NULL ? $product->color : '--'); ?></td>
                                        <td><?php echo e($product->price); ?></td>
                                        <td><?php echo e($product->qty); ?></td>
                                        <td><?php echo e($product->qty * $product->price); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td class="text-right" colspan="7">Subtotal:</td>
                                        <td>Tk <?php echo e($order->order_total); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="text-right" colspan="7">Delivery Charge:</td>
                                        <td>Tk <?php echo e($order->shipping_charge); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="text-right" colspan="7">Total:</td>
                                        <td>Tk <?php echo e($order->order_total + $order->shipping_charge); ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="material-card card">
                    <div class="card-header">
                        <div class="pull-left">
                            <h6 class="card-title mt-1">Shipping Information</h6>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped border">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Address</th>
                                        <th>City</th>
                                        <th>Country</th>
                                        <th>Zip Code</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><?php echo e($order->shipping->id); ?></td>
                                        <td><?php echo e($order->shipping->first_name); ?> <?php echo e($order->shipping->last_name); ?></td>
                                        <td><?php echo e($order->shipping->email); ?></td>
                                        <td><?php echo e($order->shipping->phone); ?></td>
                                        <td><?php echo e($order->shipping->address); ?></td>
                                        <td><?php echo e($order->shipping->city->name); ?></td>
                                        <td><?php echo e($order->shipping->country->name); ?>.</td>
                                        <td><?php echo e($order->shipping->zip_code); ?>.</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-6">
                <div class="material-card card">
                    <div class="card-header">
                        <div class="pull-left">
                            <h6 class="card-title mt-1">Payment Information</h6>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped border">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Name</th>
                                        <th>Card Number</th>
                                        <th>Exp Date</th>
                                        <th>CVV</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><?php echo e($order->payment->id); ?></td>
                                        <td><?php echo e($order->payment->name); ?></td>
                                        <td><?php echo e($order->payment->card_number); ?></td>
                                        <td><?php echo e($order->payment->exp_month); ?>-<?php echo e($order->payment->exp_year); ?></td>
                                        <td><?php echo e($order->payment->cvv); ?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="col-6">
                <div class="material-card card">
                    <div class="card-header">
                        <div class="pull-left">
                            <h6 class="card-title mt-1">Customer Information</h6>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped border">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <?php if($order->customer_id): ?>
                                        <td><?php echo e($order->customer->id); ?></td>
                                        <td><?php echo e($order->customer->name); ?></td>
                                        <td><?php echo e($order->customer->email); ?></td>
                                        <td><?php echo e($order->customer->phone); ?></td>
                                        <?php else: ?>
                                        <td colspan="5" class="text-center">Guest User</td>
                                        <?php endif; ?>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div> 
        </div>
        <!-- Row -->
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>